/*
 * $Id: AllCategoryTreeNode.java 69264 2007-10-22 16:02:40Z lmoreira $
 */
package csbase.algorithms.flows;

import static csbase.logic.algorithms.AlgorithmInfo.HIDE_ALGORITHM_PROPERTY;
import static csbase.logic.algorithms.AlgorithmInfo.HIDE_ALGORITHM_VALUE;

import java.util.SortedSet;

import javax.swing.Icon;

import tecgraf.javautils.LNG;
import tecgraf.javautils.gui.tree.DefaultNode;
import csbase.client.applications.ApplicationImages;
import csbase.logic.algorithms.AlgorithmInfo;
import csbase.logic.algorithms.Category;

public final class AllCategoryTreeNode extends DefaultNode {
  
  public AllCategoryTreeNode(SortedSet<Category> allCategories,
    SortedSet<AlgorithmInfo> uncategorizedAlgorithms) {
    super(LNG.get("AllCategoryTreeNode.label"), FiltrageMode.IGNORE);
    for (Category category : allCategories) {
      addChild(new CategoryTreeNode(category));
    }
    for (AlgorithmInfo algorithm : uncategorizedAlgorithms) {
      if (!HIDE_ALGORITHM_VALUE.equals(
        algorithm.getPropertyValue(HIDE_ALGORITHM_PROPERTY))) {
        addChild(new AlgorithmTreeNode(algorithm));
      }
    }
  }
  
  @Override
  public Icon getIcon() {
    return ApplicationImages.ICON_FOLDER_16;
  }
}
