package csbase.algorithms.flows.actions;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.KeyStroke;

import csbase.algorithms.flows.FlowApplication;
import csbase.algorithms.flows.graph.Graph;
import csbase.algorithms.flows.graph.GraphElement;
import csbase.client.applications.ApplicationImages;

/**
 * Ao de remover elementos do grafo no editor de fluxos.
 */
public final class RemoveElementsAction extends FlowApplicationAction {
  /**
   * Cria a ao.
   * 
   * @param application A aplicao.
   */
  public RemoveElementsAction(FlowApplication application) {
    super(
      application,
      RemoveElementsAction.class.getName() + ".name",
      (ApplicationImages.ICON_DELETE_16),
      KeyStroke.getKeyStroke(KeyEvent.VK_DELETE, 0));
    setEnabled(false);
  }

  /**
   * {@inheritDoc}
   */
  public void actionPerformed(ActionEvent e) {
    getApplication().removeSelectedElements();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void wasElementCreated(Graph graph, GraphElement element) {
    setEnabled(graph.hasSelectedElements());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void wasElementRemoved(Graph graph, GraphElement element) {
    setEnabled(graph.hasSelectedElements());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void wasElementSelected(Graph graph, GraphElement element) {
    setEnabled(graph.hasSelectedElements());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void wasChangedWorkspace(Graph graph) {
    setEnabled(graph.hasSelectedElements());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void wasReseted(Graph graph) {
    setEnabled(false);
  }
}
