package csbase.algorithms.flows.messages;

import csbase.algorithms.flows.graph.GraphElement;

import tecgraf.javautils.vix.Message;

import java.util.Collection;
import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

public final class SelectElementsMessage extends Message {
  private List<GraphElement> elements;

  public SelectElementsMessage(Collection<GraphElement> elements) {
    if (elements == null) {
      throw new IllegalArgumentException("O parmetro elements est nulo.");
    }
    this.elements = new LinkedList<GraphElement>(elements);
  }

  public Collection<GraphElement> getElements() {
    return Collections.unmodifiableList(this.elements);
  }
}
