/*
 * $Author:$
 * $Date:$
 * $Release:$
 */
package csbase.client.algorithms.parameters;

import csbase.exception.ParseException;

/**
 * Campo de Texto para representar Nmeros Inteiros.
 *
 * @author lmoreira
 */
public class IntegerTextField extends NumberTextField<Integer> {
  /**
   * Cria o campo.
   */
  public IntegerTextField() {
    this(new DefaultIntegerTextFieldModel());
  }

  /**
   * Cria o campo.
   * 
   * @param model O modelo (No aceita {@code null}).
   */
  public IntegerTextField(NumberTextFieldModel<Integer> model) {
    super(model);
  }

  @Override
  protected String format(Integer number) {
    return number.toString();
  }

  @Override
  protected Integer parse(String text) throws ParseException {
    try {
      return Integer.parseInt(text);
    } catch (NumberFormatException e) {
      throw new ParseException(
        "O texto informado no representa um nmero inteiro.\n"
          + "Texto: ({0}).", text);
    }
  }
}
