/*
 * $Author:$ $Date:$ $Release:$
 */
package csbase.client.algorithms.parameters.validators;

import csbase.logic.algorithms.parameters.SimpleParameter;

/**
 * Validador de 
 * {@link csbase.logic.algorithms.parameters.BooleanParameter 
 * Parmetro do Tipo Booleano}.
 *
 * @author lmoreira
 */
public final class BooleanParameterValidator extends SimpleParameterValidator<Boolean> {
  /**
   * Cria um Validador.
   */
  public BooleanParameterValidator() {
    super(false);
  }

  @Override
  public ValidationResult validateValue(
    SimpleParameter parameter, Boolean value) {
    if (parameter == null) {
      throw new IllegalArgumentException("O parmetro parameter est nulo.");
    }
    if (value == null) {
      throw new IllegalArgumentException("O parmetro value est nulo.");
    }
    return new ValidationResult();
  }
}
