package csbase.client.applications.algorithmsmanager.actions;

import java.awt.event.ActionEvent;

import javax.swing.ImageIcon;

import csbase.client.applications.algorithmsmanager.AlgorithmsManager;
import csbase.client.applications.algorithmsmanager.dialogs.CategoriesManagePanel;

/**
 * Representa a ao de gerncia de categorias de algoritmos.
 * 
 */
public class CategoriesManageAction extends AlgorithmsManagerAction {
  /**
   * Painel de categorias de algoritmos
   */
  private CategoriesManagePanel categoryPanel;

  /**
   * Constri a ao de gerncia de categorias de algoritmos.
   * 
   * @param application referncia para a aplicao
   * @param icon imagem da ao
   */
  public CategoriesManageAction(AlgorithmsManager application, ImageIcon icon) {
    super(application, icon);
    getApplication().loadCategoriesAndAlgorithmsData();
  }

  /**
   * (non-Javadoc)
   * 
   * @see csbase.client.applications.algorithmsmanager.actions.AlgorithmsManagerAction#handleActionPerformed(java.awt.event.ActionEvent)
   */
  @Override
  protected void handleActionPerformed(ActionEvent ae) throws Exception {
    if (categoryPanel == null) {
      categoryPanel = new CategoriesManagePanel(getApplication());
    }
    else {
      categoryPanel = null;
    }
    getApplication().changeMainPanel(categoryPanel);
  }

  /**
   * Atualiza o painel de gerncia de categorias de algoritmos.
   */
  public void updatePanel() {
    if (categoryPanel != null) {
      categoryPanel = new CategoriesManagePanel(getApplication());
      getApplication().changeMainPanel(categoryPanel);
    }
  }

}
