/*
 * $Id$
 */

package csbase.client.applications.commandsmonitor.actions;

import java.awt.event.ActionEvent;

import csbase.client.algorithms.commands.view.AlgorithmCommandViewFactory;
import csbase.client.algorithms.commands.view.TabType;
import csbase.client.applications.ApplicationImages;
import csbase.client.applications.commandsmonitor.CommandsMonitor;
import csbase.client.desktop.DesktopComponentFrame;
import csbase.logic.CommandInfo;
import csbase.logic.CommandStatus;

/**
 * Mostra os parmetros de um nico comando selecionado.
 * 
 * @author Tecgraf / PUC-Rio
 */
public class ShowCommandParametersAction extends AbstractCommandsAction {

  /**
   * Construtor.
   * 
   * @param application Aplicao que detm essa ao.
   */
  public ShowCommandParametersAction(CommandsMonitor application) {
    super(application, false, ApplicationImages.ICON_INFORMATION_16);
  }

  /**
   * Filtro indicando que esta ao aceita qualquer comando que no esteja no
   * estado {@link CommandStatus#SCHEDULED agendado}. {@inheritDoc}
   */
  @Override
  protected boolean accept(CommandInfo command) {
    return command.getStatus() != CommandStatus.SCHEDULED;
  }

  /**
   * Mostra os parmetros do comando selecionado. {@inheritDoc}
   */
  @Override
  protected void handleActionPerformed(ActionEvent ae) throws Exception {
    DesktopComponentFrame owner = getApplication().getApplicationFrame();
    CommandInfo command = getSelectedCommand();
    AlgorithmCommandViewFactory.showView(owner, command,
      TabType.CONFIGURATION_REPORT);
  }
}
