/*
 * $Id$
 */

package csbase.client.applications.commandsmonitor.table.dal.xml;

import java.util.Hashtable;
import java.util.Map;

import csbase.client.applications.commandsmonitor.table.dal.xml.element.ColumnElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.ColumnReferenceElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.ColumnsSetElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.ExpressionElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.FilterElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.FiltersSetElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.TableElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.TableFactoryElement;
import csbase.client.applications.commandsmonitor.table.dal.xml.element.TablesSetElement;

import tecgraf.javautils.xml.XMLElementFactory;

class CommandsTableElementFactory extends XMLElementFactory {

  private Map<String, Class<?>> _tagsToXMLMap;
  private Map<Class<?>, String> _appObjectToTagMap;
  private Object _contextObject;

  @Override
  public Object getAppContextObject() {
    return _contextObject;
  }

  @Override
  public void setAppContextObject(Object contextObject) {
    _contextObject = contextObject;
  }

  @Override
  protected void fillConversionTables() {
    mapAppClassToTag(TableFactoryElement.class, TableFactoryElement
      .getTagName());
    mapTagToXMLClass(TableFactoryElement.getTagName(),
      TableFactoryElement.class);

    mapAppClassToTag(ColumnsSetElement.class, ColumnsSetElement.getTagName());
    mapTagToXMLClass(ColumnsSetElement.getTagName(), ColumnsSetElement.class);

    mapAppClassToTag(ColumnElement.class, ColumnElement.getTagName());
    mapTagToXMLClass(ColumnElement.getTagName(), ColumnElement.class);
    
    mapAppClassToTag(FiltersSetElement.class, FiltersSetElement.getTagName());
    mapTagToXMLClass(FiltersSetElement.getTagName(), FiltersSetElement.class);

    mapAppClassToTag(FilterElement.class, FilterElement.getTagName());
    mapTagToXMLClass(FilterElement.getTagName(), FilterElement.class);

    mapAppClassToTag(ExpressionElement.class, ExpressionElement.getTagName());
    mapTagToXMLClass(ExpressionElement.getTagName(), ExpressionElement.class);

    mapAppClassToTag(TablesSetElement.class, TablesSetElement.getTagName());
    mapTagToXMLClass(TablesSetElement.getTagName(), TablesSetElement.class);

    mapAppClassToTag(TableElement.class, TableElement.getTagName());
    mapTagToXMLClass(TableElement.getTagName(), TableElement.class);

    mapAppClassToTag(ColumnReferenceElement.class, ColumnReferenceElement.getTagName());
    mapTagToXMLClass(ColumnReferenceElement.getTagName(), ColumnReferenceElement.class);
  }

  @Override
  protected Map<Class<?>, String> getAppObjectToTagMap() {
    if (null == _appObjectToTagMap) {
      _appObjectToTagMap = new Hashtable<Class<?>, String>();
    }
    return _appObjectToTagMap;
  }

  @Override
  protected Map<String, Class<?>> getTagToXMLMap() {
    if (null == _tagsToXMLMap) {
      _tagsToXMLMap = new Hashtable<String, Class<?>>();
    }
    return _tagsToXMLMap;
  }
}
