/*
 * $Id$
 */

package csbase.client.applications.commandsmonitor.table.dal.xml;

import java.io.IOException;
import java.io.Reader;
import java.util.Set;

import tecgraf.javautils.xml.XMLReader;
import csbase.client.applications.commandsmonitor.table.dal.ColumnDTO;
import csbase.client.applications.commandsmonitor.table.dal.CommandsFilterDTO;
import csbase.client.applications.commandsmonitor.table.dal.CommandsTableDTO;
import csbase.client.applications.commandsmonitor.table.dal.ICommandsTableDAO;

public class XmlCommandsTableDAO implements ICommandsTableDAO {
  
  private Set<ColumnDTO> _columnsInfo;
  private Set<CommandsFilterDTO> _filtersInfo;
  private Set<CommandsTableDTO> _tablesInfo;

  public XmlCommandsTableDAO(Reader reader) throws IOException {
    this(reader, "UTF-8");
  }

  public XmlCommandsTableDAO(Reader reader, String encoding)
    throws IOException {
    
    XMLReader xml_reader =
      new XMLReader(reader, new CommandsTableXMlHandler(), false, this);
    xml_reader.setEncoding(encoding);
    xml_reader.read();
  }
  
  @Override
  public Set<ColumnDTO> getColumnsInfo() {
    return _columnsInfo;
  }

  @Override
  public Set<CommandsFilterDTO> getFiltersInfo() {
    return _filtersInfo;
  }

  @Override
  public Set<CommandsTableDTO> getTablesInfo() {
    return _tablesInfo;
  }
  
  public void setColumnsInfo(Set<ColumnDTO> columnsInfo) {
    _columnsInfo = columnsInfo;
  }

  public void setFiltersInfo(Set<CommandsFilterDTO> filtersInfo) {
    _filtersInfo = filtersInfo;
  }

  public void setTablesInfo(Set<CommandsTableDTO> tablesInfo) {
    _tablesInfo = tablesInfo;
  }
}
