/*
 * $Id$
 */

package csbase.client.applications.commandsmonitor.table.dal.xml.element;

import java.io.IOException;
import java.io.Writer;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import tecgraf.javautils.xml.ImprovedXMLListIterator;
import tecgraf.javautils.xml.XMLElement;
import tecgraf.javautils.xml.XMLElementInterface;
import csbase.client.applications.commandsmonitor.table.dal.CommandsFilterDTO;

public class FiltersSetElement extends XMLElement {

  public static final String getTagName() {
    return "filters";
  }

  @Override
  public void endTag(List<XMLElementInterface> childrenList) {

    Set<CommandsFilterDTO> filtersInfo = new HashSet<CommandsFilterDTO>();

    ImprovedXMLListIterator iterator =
      new ImprovedXMLListIterator(childrenList);
    while (iterator.hasNext()) {
      XMLElementInterface aFilterElement = iterator.next();
      CommandsFilterDTO aFilterInfo = (CommandsFilterDTO) aFilterElement.getAppObject();
      filtersInfo.add(aFilterInfo);
    }

    setAppObject(filtersInfo);
  }

  @Override
  public void write(Writer writer, String ident) throws IOException {
    throw new IllegalAccessError("Esse mtodo no deve ser utilizado.");
  }
}