/*
 * $Id$
 */

package csbase.client.applications.commandsmonitor.table.dal.xml.element;

import java.io.IOException;
import java.io.Writer;
import java.util.List;
import java.util.Set;

import tecgraf.javautils.xml.ImprovedXMLListIterator;
import tecgraf.javautils.xml.XMLElementInterface;
import tecgraf.javautils.xml.XMLRootElement;
import csbase.client.applications.commandsmonitor.table.dal.ColumnDTO;
import csbase.client.applications.commandsmonitor.table.dal.CommandsFilterDTO;
import csbase.client.applications.commandsmonitor.table.dal.CommandsTableDTO;
import csbase.client.applications.commandsmonitor.table.dal.xml.XmlCommandsTableDAO;

public class TableFactoryElement extends XMLRootElement {

  public static final String getTagName() {
    return "table_factory";
  }

  @Override
  public void endTag(List<XMLElementInterface> childrenList) {

    XmlCommandsTableDAO datasource =
      (XmlCommandsTableDAO) getAppContextObject();

    ImprovedXMLListIterator iterator =
      new ImprovedXMLListIterator(childrenList);

    XMLElementInterface columnsElement =
      iterator.next(ColumnsSetElement.getTagName());
    if (null != columnsElement) {
      Set<ColumnDTO> columns = (Set<ColumnDTO>) columnsElement.getAppObject();

      datasource.setColumnsInfo(columns);
    }

    iterator.reset();

    XMLElementInterface filtersElement =
      iterator.next(FiltersSetElement.getTagName());
    if (null != filtersElement) {
      Set<CommandsFilterDTO> filters =
        (Set<CommandsFilterDTO>) filtersElement.getAppObject();

      datasource.setFiltersInfo(filters);
    }

    iterator.reset();

    XMLElementInterface tablesElement =
      iterator.next(TablesSetElement.getTagName());
    if (null != tablesElement) {
      Set<CommandsTableDTO> tablesInfos =
        (Set<CommandsTableDTO>) tablesElement.getAppObject();

      datasource.setTablesInfo(tablesInfos);
    }
  }

  @Override
  public void write(Writer writer, String ident) throws IOException {
    throw new IllegalAccessError("Esse mtodo no deve ser utilizado.");
  }
}
