package csbase.client.applications.fileexchanger.actions;

import java.util.ArrayList;

import javax.swing.ImageIcon;

import tecgraf.javautils.gui.StandardDialogs;
import csbase.client.applications.ApplicationFrame;
import csbase.client.applications.ApplicationImages;
import csbase.client.applications.fileexchanger.FileExchanger;
import csbase.client.applications.fileexchanger.actions.core.FileExchangerAction;
import csbase.client.applications.fileexchanger.logic.Exchange;

/**
 * @author Tecgraf/PUC-Rio
 */
public class StartAction extends FileExchangerAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionDone() throws Exception {
    final FileExchanger fileExchanger = getFileExchanger();
    final ApplicationFrame frame = fileExchanger.getApplicationFrame();
    final ArrayList<Exchange> sels = fileExchanger.getSelectedExchangeList();
    if (sels.size() == 0) {
      final String err = getString("no.selection.error");
      StandardDialogs.showErrorDialog(frame, "", err);
      return;
    }
    
    for (Exchange sel : sels) {
      sel.start();
    }
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public ImageIcon getStandardImageIcon() {
    return ApplicationImages.ICON_PLAY_16;
  }

  /**
   * Construtor
   * 
   * @param fileExchanger a aplicao.
   */
  public StartAction(final FileExchanger fileExchanger) {
    super(fileExchanger);
  }
}
