package csbase.client.applications.fileexchanger.logic;

import java.io.File;

import csbase.logic.ClientProjectFile;
import csbase.logic.CommonClientProject;

/**
 * Operao de exportao.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class ExchangeExport extends Exchange {

  /**
   * {@inheritDoc}
   */
  @Override
  protected ExchangeExportThread createThread() {
    return new ExchangeExportThread(this);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  final public String toString() {
    final ClientProjectFile remoteFile = getRemoteFile();
    final File localFile = getLocalFile();
    return remoteFile.getName() + " \u2192 " + localFile.getAbsolutePath();
  }

  /**
   * Construtor
   * 
   * @param transferMode modo de transferncia
   * @param blockSize tam. do bloco.
   * @param localFile arquivo local
   * @param remoteFile arquivo remoto.
   * @param remoteDir diretrio remoto.
   * @param project projeto remoto.
   */
  public ExchangeExport(final ExchangeMode transferMode,
    final BlockSize blockSize, final File localFile, 
    final ClientProjectFile remoteFile, final ClientProjectFile remoteDir, 
    final CommonClientProject project) {
    super(ExchangeType.EXPORT, transferMode, blockSize, localFile, remoteFile,
      remoteDir, remoteFile.size(), project);
  }
}
