/*
 * $Id: FileExchangerConfiguration.java 84932 2008-10-29 19:39:21Z clinio $
 */

package csbase.client.applications.fileexchanger.logic;

/**
 * Configurao do programa.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class FileExchangerConfiguration {


  /**
   * Tempo de atualizao da tabela (s).
   */
  private int updateSec = 3;

  /**
   * Nmero mximo de transferncias simultneas.
   */
  private int maxRunning = 5;

  /**
   * Modo corrente de transferncia
   */
  private ExchangeMode transferMode = ExchangeMode.STREAM;

  /**
   * Tam. do buffer no modo stream
   */
  private BlockSize blockSize = BlockSize.NORMAL;

  /**
   * Consulta o valor do tamanho do bloco.
   * 
   * @return o valor
   */
  public final BlockSize getBlockSize() {
    return blockSize;
  }

  /**
   * Consulta o valor de maxRunning
   * @return o valor
   */
  public final int getMaxRunning() {
    return maxRunning;
  }

  /**
   * Consulta o valor de transferMode
   * 
   * @return o valor
   */
  public final ExchangeMode getTransferMode() {
    return transferMode;
  }

  /**
   * Consulta o valor de updateSec
   * @return o valor
   */
  public final int getUpdateSec() {
    return updateSec;
  }

  /**
   * Ajusta o valor de bufferSize
   * 
   * @param blockSize o valor a ser ajustado.
   */
  public final void setBlockSize(final BlockSize blockSize) {
    this.blockSize = blockSize;
  }

  /**
   * Ajusta o valor de maxRunning
   * @param maxRunning o valor a ser ajustado.
   */
  public final void setMaxRunning(final int maxRunning) {
    this.maxRunning = maxRunning;
  }

  /**
   * Ajusta o valor de transferMode
   * 
   * @param transferMode o valor a ser ajustado.
   */
  public final void setTransferMode(final ExchangeMode transferMode) {
    this.transferMode = transferMode;
  }

  /**
   * Ajusta o valor de updateSec
   * @param updateSec o valor a ser ajustado.
   */
  public final void setUpdateSec(final int updateSec) {
    this.updateSec = updateSec;
  }
}
