/*
 * $Id:$
 */

package csbase.client.applications.filetransferclient.panels.localpanel;

import java.awt.Color;
import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellRenderer;

import csbase.client.applications.filetransferclient.FileTransferClientUI;
import csbase.client.project.ClientProjectFileProperties;
import csbase.logic.ClientProjectFile;
import csbase.logic.ProjectFile;

/**
 * Renderizador da tabela de requisies
 * 
 * @author Tecgraf/PUC-Rio
 */
class LocalTableRenderer implements TableCellRenderer {

  /**
   * Renderer default.
   */
  public static final DefaultTableCellRenderer DEFAULT_RENDERER =
    new DefaultTableCellRenderer();

  /**
   * {@inheritDoc}
   */
  public Component getTableCellRendererComponent(JTable table, Object value,
    boolean isSelected, boolean hasFocus, int row, int column) {
    Component renderer =
      DEFAULT_RENDERER.getTableCellRendererComponent(table, value, isSelected,
        hasFocus, row, column);
    final JLabel label = ((JLabel) renderer);
    label.setOpaque(true);
    label.setIcon(null);
    label.setHorizontalAlignment(SwingConstants.LEFT);
    label.setForeground(Color.black);

    if (column == 0) {
      final ProjectFile file = (ProjectFile) value;
      final ClientProjectFile cpf = (ClientProjectFile) file;

      label.setHorizontalAlignment(SwingConstants.CENTER);
      final ImageIcon icon = ClientProjectFileProperties.getImageIcon(cpf);
      label.setIcon(icon);
      label.setText(null);
    }
    else if (column == 1) {
      final String name = (String) value;
      label.setHorizontalAlignment(SwingConstants.LEFT);
      label.setText(name);
    }
    else if (column == 2) {
      label.setHorizontalAlignment(SwingConstants.RIGHT);
      long sz = (Long) value;
      if (sz < 0) {
        label.setText(null);
      }
      else {
        label.setText(FileTransferClientUI.sizeToString(sz));
      }
    }

    return label;
  }

  /**
   * Construtor
   */
  public LocalTableRenderer() {
  }

}
