package csbase.client.applications.projectsmanager.actions;

import csbase.client.applications.ApplicationFrame;
import csbase.client.applications.projectsmanager.ProjectsManager;
import csbase.client.applications.projectsmanager.actions.core.ProjectsManagerAction;
import csbase.client.applications.projectsmanager.dialogs.ProjectAreaOccupationDialog;

/**
 * Ao que abre dilogo de ocupao de espao em disco.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class OpenProjectAreaOccupationDialogAction extends
  ProjectsManagerAction {

  /**
   * Construtor
   * 
   * @param projectsManager a aplicao
   */
  public OpenProjectAreaOccupationDialogAction(
    final ProjectsManager projectsManager) {
    super(projectsManager);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionDone() {
    final ProjectsManager projectsManager = getProjectsManager();
    final ProjectAreaOccupationDialog pod =
      new ProjectAreaOccupationDialog(projectsManager);
    final ApplicationFrame appFrame = projectsManager.getApplicationFrame();
    pod.setLocationRelativeTo(appFrame);
    pod.setVisible(true);
  }

}
