package csbase.client.applications.projectsmanager.panels.adapters;

import java.awt.event.MouseAdapter;

import csbase.client.applications.projectsmanager.ProjectsManager;
import csbase.client.applications.projectsmanager.ProjectsManagerUI;

/**
 * MouseListener genrico da aplicao ProjectsManager.
 * 
 * @author jnlopes
 * 
 */
public abstract class ProjectsManagerAdapter extends MouseAdapter {

  /**
   * A aplicao
   */
  private final ProjectsManager projectsManager;

  /**
   * Construtor
   * 
   * @param projectsManager A aplicao
   */
  ProjectsManagerAdapter(final ProjectsManager projectsManager) {
    this.projectsManager = projectsManager;
  }

  /**
   * Consulta a aplicao.
   * 
   * @return a aplicao
   */
  public ProjectsManager getProjectsManager() {
    return projectsManager;
  }

  /**
   * Mtodo de busca de uma string de internacionalizao dentro do escopo da
   * ao conforme o padro "<code>NomeDaClasse.TagDesejada</code>"
   * 
   * @param tag tag desejada
   * @return o texto de internacionalizao
   */
  final public String getString(final String tag) {
    return ProjectsManagerUI.getString(this.getClass(), tag);
  }

}
