/*
 * GroupStarUsagePanel.java
 * $Revision: 36552 $
 */
package csbase.client.applications.sgamonitor;

import csbase.client.applications.Application;

/**
 * A classe <code>GroupStarUsagePanel</code> modela o painel de monitorao que
 * exibe as cargas dos servidores de um grupo como uma estrela de carga.
 *
 * @author Ana
 */
class GroupStarUsagePanel extends StarUsagePanel {
  /** Gerenciador das informaes visualizadas */
  private GroupCPULoadInfoHandler infoHandler = null;

  /**
   * Obtm a legenda do toggle para nomes.
   *
   * @return .
   */
  public String getNameToggleLabel() {
    return app.getString("MON_GROUP_STAR_NAME_TOGGLE");
  }

  /**
   * Obtm a legenda do toggle para ocupao/percentual.
   *
   * @return .
   */
  public String getPercToggleLabel() {
    return app.getString("MON_CPULOAD_STAR_PERC_TOGGLE");
  }

  /**
   * Retorna o ttulo do painel.
   *
   * @return ttulo do painel
   */
  public String getTitle() {
    return app.getString("MON_GROUP_STAR_TITLE");
  }

  /**
   * Atualiza as informaes dinmicas exibidas.
   *
   * @param dynamicData informaes do servidor
   */
  public void updateDynamicInfo(Object dynamicData) {
    infoHandler.updateInfo(dynamicData);
  }

  /**
   * Constri o painel de monitorao.
   *
   * @param app .
   */
  public GroupStarUsagePanel(Application app) {
    super(app);
    infoHandler = new GroupCPULoadInfoHandler();
    setCanvasInfoHandler(infoHandler);
  }
}
