package csbase.client.desktop;

import csbase.client.util.NotificationTranslator;
import csbase.logic.UserNotificationData;

/**
 * A classe BasicNotificationPanel  uma implementao bsica do painel de
 * notificaes.
 * 
 * A necessidade de um tradutor de notificaes deve ser revista, pois o novo
 * servio LanguageService permite a internacionalizao das mensagens criadas
 * no servidor.
 */
public class BasicNotificationPanel extends NotificationPanel {
  /**
   * O tradutor
   */
  private NotificationTranslator translator = null;

  /**
   * Obtm um tradutor para as notificaes enviadas pelo servidor, exibidas no
   * painel de notificaes do desktop.
   * 
   * @return referncia para o tradutor das notificaes
   */
  @Override
  public NotificationTranslator getTranslator() {
    if (translator == null) translator = new NotificationTranslator() {
      @Override
      public String translate(UserNotificationData data) {
        return data.toString();
      }
    };
    return translator;
  }
}
