/*
 * $Id$
 */

package csbase.client.ias.algorithm.action;

import java.awt.event.ActionEvent;

import javax.swing.TransferHandler;

import csbase.client.ias.algorithm.AlgorithmTree;
import csbase.client.ias.algorithm.dnd.AlgorithmTreeClipboard;
import csbase.client.ias.algorithm.dnd.AlgorithmTreeTransferHandler;

/**
 * @author Tecgraf / PUC-Rio
 * 
 * Ao que exporta, atravs do
 * {@link AlgorithmTreeTransferHandler TransferHandler} da rvore, objetos
 * selecionados para o {@link AlgorithmTreeClipboard clipboard}.
 */
public class CopyFile extends AbstractAlgorithmTreeNodeAction {

  // Nome padro da ao.
  private static final String DEFAULT_NAME = "copy";

  /**
   * Contri uma instncia de {@link CopyFile} com o nome {@value #DEFAULT_NAME}.
   * 
   * @param tree rvore que detm o n fonte da ao.
   */
  public CopyFile(AlgorithmTree tree) {
    this(tree, DEFAULT_NAME);
  }

  /**
   * Conbstrutor.
   * 
   * @param tree rvore que detm o n fonte da ao.
   * @param name Nome da ao.
   */
  public CopyFile(AlgorithmTree tree, String name) {
    super(tree, name);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    getTree().getTransferHandler().exportToClipboard(getTree(), null,
      TransferHandler.COPY);
  }
}
