/*
 * $Id$
 */

package csbase.client.ias.algorithm.action;

import java.rmi.RemoteException;

import tecgraf.javautils.LNG;
import csbase.client.ias.algorithm.AlgorithmTree;
import csbase.logic.FileInfo;
import csbase.logic.algorithms.AlgorithmVersionInfo;
import csbase.remote.ClientRemoteLocator;
import csbase.remote.niotransfer.RequestTransferInfo;

/**
 * @author Tecgraf / PUC-Rio
 * 
 * Ao que exporta um arquivo de configurao.
 */
public class ExportConfigurationFile extends AbstractExportFileAction {

  // Verso de origem do arquivo a ser exportado.
  private AlgorithmVersionInfo version;

  /**
   * Construtor.
   * 
   * @param tree rvore que detm o n fonte da ao.
   * @param version Verso de origem do arquivo a ser exportado.
   * @param file Arquivo de configurao a ser exportado.
   */
  public ExportConfigurationFile(AlgorithmTree tree,
    AlgorithmVersionInfo version, FileInfo file) {
    super(tree, LNG.get("algomanager.menu.config.export"), file);

    this.version = version;
  }

  /**
   * {@inheritDoc}
   */
  @Override
  protected RequestTransferInfo prepareDownload(FileInfo source)
    throws RemoteException {
    return ClientRemoteLocator.algorithmService.prepareDownloadConfigFile(version
      .getInfo().getId(), version.getId(), source.getPath());
  }

  /**
   * {@inheritDoc}
   */
  @Override
  protected void appletExport(FileInfo source) {
    String configDirPath = version.getConfiguratorDirPath();
    String filePath = configDirPath + "/" + source.getPath();
    String dialogTitle = LNG.get("algomanager.title.config.management");
    export(version.getInfo().getId(), filePath, dialogTitle);
  }
}
