package csbase.client.openbus;

import org.omg.CORBA.NO_PERMISSION;

import tecgraf.javautils.LNG;
import csbase.client.desktop.Task;
import csbase.client.util.StandardErrorDialogs;

public abstract class OpenbusTask<R> extends Task<R> {
  /**
   * Construtor.
   */
  protected OpenbusTask() {
    /** nada a fazer */
  }

  /**
   * Tratamento de erros especfico para cada tipo de tarefa. Esse tratamento 
   * chamado na thread do Swing. Pode ser redefinido por uma especializao
   * dessa classe, porm com cautela, para que a padronizao do tratamento de
   * erros no seja quebrada!
   * 
   * @param error exceo que representa erro durante execuo da tarefa
   */
  @Override
  protected void handleError(Exception error) {
    String msg;
    /* erros do servidor */
    if (error instanceof NO_PERMISSION) {
      msg = LNG.get("desktop.msg.permissionfailure");
    }
    else {
      msg = LNG.get("desktop.msg.unknownerror");
    }
    StandardErrorDialogs.showErrorDialog(parentWindow, taskTitle, msg, error);
  }
}
