/*
 * Created on Jun 15, 2004
 *
 */
package csbase.client.project;

import java.awt.Color;
import java.awt.Component;

import javax.swing.ImageIcon;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

import tecgraf.javautils.LNG;
import csbase.logic.ClientProjectFile;

public class ProjectFileCellRenderer extends DefaultTableCellRenderer {
  private ProjectFileContainer container;

  public ProjectFileCellRenderer(ProjectFileContainer container) {
    this.container = container;
  }

  @Override
  public Component getTableCellRendererComponent(
    JTable table, Object value, boolean isSelected, boolean hasFocus, int row,
    int column) {
    String text = "";
    ImageIcon icon = null;
    ClientProjectFile file = null;
    if (value != null) {
      file = (ClientProjectFile)value;
      text = file.getRenderingName();
      if (text == null) {
        text = "";
      }
      icon = ClientProjectFileProperties.getImageIcon(file);
    }
    setText(text);
    setIcon(icon);
    // O cdigo seguinte foi inserido porque no estava marcando o nome do
    // arquivo selecionado, apesa de isto ser feito na DefaultTableCellRenderer
    if (isSelected){
      setBackground(table.getSelectionBackground());
    } else {
      setBackground(table.getBackground());
    }
    if (file != null && !file.isDirectory() && file.isLocked()) {
      setForeground(Color.RED);
      setToolTipText(LNG.get("ProjectTree.locked"));
    } else {
      setForeground(table.getForeground());
    }
    return this;
  }
}
