/*
 * ProjectTreeListener.java
 * $Author: taciana $
 * $Revision: 71611 $  - $Date: 2007-12-19 11:39:33 -0200 (Wed, 19 Dec 2007) $
 */
package csbase.client.project;

import csbase.logic.CommonClientProject;
import csbase.logic.ProjectFile;

/**
 * A interface <code>ProjectTreeListener</code> modela um listener com mtodos
 * de callback chamados para eventos ocorridos sobre a rvore de projetos.
 */
public interface ProjectTreeListener {
  /**
   * Mtodo chamado quando alguma informao do projeto mudou.
   */
  public void projectInfoModified();

  /**
   * Mtodo chamado quando o projeto exibido na rvore foi trocado.
   * 
   * @param project novo projeto a ser exibido
   */
  public void projectChanged(CommonClientProject project);

  /**
   * Mtodo chamado quando o projeto foi fechado.
   */
  public void projectClosed();

  /**
   * Mtodo chamado quando o projeto foi removido.
   */
  public void projectRemoved();

  /**
   * Mtodo chamado quando o menu popup de diretrio  acionado.
   * 
   * @param dir diretrio selecionado
   */
  public void popupDirTriggered(ProjectFile dir);

  /**
   * Mtodo chamado quando o menu popup de arquivo  acionado.
   * 
   * @param file arquivo selecionado
   */
  public void popupFileTriggered(ProjectFile file);

  /**
   * Mtodo chamado quando o menu popup de seleo mltipla  acionada.
   */
  public void popupMultSelectionTriggered();

  /**
   * Mtodo chamado quando o menu popup da raiz  acionado.
   */
  public void popupRootTriggered();
}
