/*
 * $Id: CommonFileDeleteAction.java 79318 2008-06-27 22:25:25Z clinio $
 */
package csbase.client.project.action;

import java.awt.Window;
import java.awt.event.ActionEvent;
import java.text.MessageFormat;

import tecgraf.javautils.LNG;
import tecgraf.javautils.gui.StandardDialogs;
import csbase.client.desktop.RemoteTask;
import csbase.client.project.ProjectFileContainer;
import csbase.client.project.tasks.GetChildrenTask;
import csbase.logic.ClientProjectFile;
import csbase.logic.ProjectFile;
import csbase.logic.Utilities;

/**
 * Ao de remoo de arquivo/diretrio
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonFileDeleteAction extends CommonProjectAction {

  /**
   * Construtor
   * 
   * @param container
   */
  public CommonFileDeleteAction(ProjectFileContainer container) {
    super(container);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    // FIXME este mtodo est muito grande
    String nodeType;
    String confirmation;
    final String windowTitle;
    String name;
    ProjectFile[] candidateFiles = getSelectedFiles();
    if (candidateFiles == null || candidateFiles.length == 0) {
      return;
    }
    int parentDirIndex = -1;
    for (int i = 0; i < candidateFiles.length; i++) {
      if (((ClientProjectFile) candidateFiles[i]).isParentDir()) {
        parentDirIndex = i;
      }
    }
    if (parentDirIndex != -1) {
      candidateFiles = (ProjectFile[]) Utilities.removeItemFromArray(
        candidateFiles, parentDirIndex);
    }
    if (candidateFiles == null || candidateFiles.length == 0) {
      return;
    }
    
    final ProjectFile[] files = candidateFiles;
    final Window owner = getWindow();
    final ProjectFile file0 = files[0];
    
    if (files.length > 1) {
      name = LNG.get("PRJ_MULT_SELECTION");
      nodeType = LNG.get("PRJ_DIRS") + "/" + LNG.get("PRJ_FILES");
      windowTitle = MessageFormat.format(LNG
        .get("PRJ_PROJECT_MULT_FILE_REMOVAL_TITLE"), new Object[] { nodeType });
      confirmation = MessageFormat.format(LNG
        .get("PRJ_PROJECT_MULT_FILE_REMOVAL_CONFIRMATION"),
        new Object[] { nodeType });
    }
    else {
      if (file0.getPath().length == 1) {
        return;
      }
      name = file0.getName();
      if (!file0.isDirectory()) {
        nodeType = LNG.get("PRJ_FILE");
        windowTitle = MessageFormat.format(LNG
          .get("PRJ_PROJECT_FILE_REMOVAL_TITLE"), new Object[] { nodeType });
        if (file0.isUnderConstruction()) {
          confirmation = MessageFormat.format(LNG
            .get("PRJ_PROJECT_FILE_UNDERCONSTRUCTION"), nodeType, name);
        }
        else {
          confirmation = "";
        }
        confirmation = confirmation
          + MessageFormat.format(LNG
            .get("PRJ_PROJECT_FILE_REMOVAL_CONFIRMATION"), nodeType, name);
      }
      else {
        nodeType = LNG.get("PRJ_DIRECTORY");
        windowTitle = MessageFormat.format(LNG
          .get("PRJ_PROJECT_FILE_REMOVAL_TITLE"), new Object[] { nodeType });
        final ClientProjectFile f = (ClientProjectFile)file0;
        final ProjectFile[] children0 = GetChildrenTask.runTask(f);
        if (children0.length == 0) {
          confirmation = MessageFormat.format(LNG
            .get("PRJ_PROJECT_FILE_REMOVAL_CONFIRMATION"), new Object[] {
              nodeType, name });
        }
        else {
          confirmation = MessageFormat.format(LNG
            .get("PRJ_PROJECT_FILE_REMOVAL_CONFIRMATION"), new Object[] {
              nodeType, name })
            + "\n"
            + MessageFormat.format(LNG
              .get("PRJ_PROJECT_DIRECTORY_FILES_WILL_BE_REMOVED"),
              new Object[] { name });
        }
      }
    }

    /* Confirma se vai mesmo apagar o arquivo */
    Object[] options = { LNG.get("PRJ_REMOVAL"), LNG.get("PRJ_CANCEL") };
    int opt = StandardDialogs.showOptionDialog(owner, windowTitle,
      confirmation, options);
    if (opt != 0) {
      return;
    }

    /* Remove os dados do clipboard */
    clearClipboard();

    /* Solicita a execuo dessa tarefa no servidor */
    RemoteTask<Void> task = new RemoteTask<Void>() {

      @Override
      protected void performTask() throws Exception {
        if (files.length == 1) {
          file0.remove();
        }
        else {
          String[][] paths = new String[files.length][];
          for (int i = 0; i < files.length; i++) {
            paths[i] = files[i].getPath();
            if (paths[i].length == 1) {
              paths[i] = null;
              continue;
            }
          }
          getProject().removeFiles(paths);
        }
      }

    };

    /*
     * Executa a tarefa. Os erros so tratados diretamente por ela.
     */
    task.execute(owner, windowTitle, MessageFormat.format(LNG
      .get("PRJ_WAITING_DELETE_FILE"), new Object[] { nodeType, name }));
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_DELETE");
  }
}
