/*
 * Created on Jun 17, 2004
 *
 */
package csbase.client.project.action;

import java.awt.Window;
import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;

import csbase.client.project.ProjectFileContainer;
import csbase.client.project.PublicationDialog;
import csbase.logic.ClientProjectFile;
import csbase.logic.ProjectFile;


public class CommonFilePublishAction extends CommonProjectAction {

  /** Indica se o arquivo a ser publicado foi originado da rvore do 
      projeto ou no */
  private boolean isFileFromTree;
  
  /** Arquivo a ser publicado, no originado da rvore do projeto */
  private ProjectFile publishFile;
  
  /**
   * @param container
   */
  public CommonFilePublishAction(ProjectFileContainer container) {
    super(container);
    this.isFileFromTree = true;
  }

  /**
   * Constri a ao a partir de um arquivo que no est selecionado na 
   * rvore do projeto.
   * 
   * @param container rvore do projeto.
   * @param file Arquivo sobre o qual a ao ser realizada.
   */
  public CommonFilePublishAction(ProjectFileContainer container,
      ProjectFile file) {
    super(container);
    this.isFileFromTree = false;
    this.publishFile = file;
  }
  
  public void actionPerformed(ActionEvent e) {
    ProjectFile file = (isFileFromTree) ? 
        (ClientProjectFile)getSelectedFile() : this.publishFile;
    Window owner = getWindow();
    if (file.isPublishedFile()) {
      PublicationDialog.showToUnPublish(owner, file);
    }
    else {
      PublicationDialog.showToPublish(owner, file);
    }
  }

  public String getName() {
    return LNG.get("PRJ_MANAGE_PUBLICATION");
  }

}
