/*
 * $Id: CommonProjectOpenAction.java 84377 2008-10-16 17:01:25Z clinio $
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;
import csbase.client.project.CommonProjectSelectDialog;
import csbase.client.project.ProjectTree;
import csbase.logic.CommonClientProject;

/**
 * Ao que abre um projeto de um usurio. Utiliza um dilogo que seleciona
 * projeto de uma lista e abre o projeto selecionado.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class CommonProjectOpenAction extends ProjectAction {

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(final ActionEvent e) {
    openDialog();
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_SELECTION");
  }

  /**
   * Abre o dilogo e retorna o projeto.
   * 
   * @return o projeto.
   */
  protected CommonClientProject openDialog() {
    return CommonProjectSelectDialog.openProject(getWindow());
  }

  /**
   * Construtor.
   * 
   * @param treeView a rvore.
   */
  public CommonProjectOpenAction(final ProjectTree treeView) {
    super(treeView);
  }
}
