/*
 * CommonProjectUpdateAction.java
 *
 * $Author: taciana $
 * $Revision: 78501 $ - $Date: 2008-06-15 15:45:34 -0300 (Sun, 15 Jun 2008) $
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import tecgraf.javautils.LNG;
import csbase.client.project.CommonProjectInfoDialog;
import csbase.client.project.ProjectCreationWithAllocationDialog;
import csbase.client.project.ProjectTree;
import csbase.client.util.StandardErrorDialogs;
import csbase.logic.CommonClientProject;

/**
 * Ao que atualiza os dados de um projeto.
 */
public class CommonProjectUpdateAction extends ProjectAction {
  /** Indica se exibe a alocao na alterao de projetos. */
  private boolean allocation = false;
  /**
   * Exceuta a ao.
   *
   * @param e .
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    CommonClientProject project = getCurrentProject();
    if (allocation) {
      project = ProjectCreationWithAllocationDialog.updateProject(getWindow(), 
        project);
    } else {
      project = CommonProjectInfoDialog.updateProject(getWindow(), project);
    }
    try {
      setCurrentProject(project);
    } catch(Exception ex) {
      StandardErrorDialogs.showErrorDialog(getWindow(), getTitle(), ex);
    }
  }

  /**
   * Obtm o nome da ao.
   *
   * @return .
   */
  @Override
  public String getName() {
    return LNG.get("PRJ_UPDATE");
  }

  /**
   * Constri a ao.
   *
   * @param treeView .
   */
  public CommonProjectUpdateAction(ProjectTree treeView) {
    super(treeView);
  }
  
  /**
   * Constri a ao.
   *
   * @param treeView .
   */
  public CommonProjectUpdateAction(ProjectTree treeView, boolean allocation) {
    this(treeView);
    this.allocation = allocation;
  }
}
