/*
 * $Id: ShowHiddenFilesAction.java 95893 2009-09-07 14:23:52Z mjulia $
 */
package csbase.client.project.action;

import java.awt.event.ActionEvent;

import javax.swing.JCheckBoxMenuItem;

import tecgraf.javautils.LNG;
import csbase.client.desktop.DesktopFrame;
import csbase.client.desktop.RemoteTask;
import csbase.client.project.ProjectTree;

/**
 * 
 */
public class ShowHiddenFilesAction extends ProjectAction {

  private static final String ACTION_NAME =
    LNG.get("ShowHiddenFilesAction.name");

  /**
   * Construtor.
   * 
   * @param treeView - rvore do projeto
   */
  public ShowHiddenFilesAction(ProjectTree treeView) {
    super(treeView);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public void actionPerformed(ActionEvent e) {
    final JCheckBoxMenuItem menuItem = (JCheckBoxMenuItem) e.getSource();
    DesktopFrame.getInstance().setShowHiddenFiles(menuItem.isSelected());
    RemoteTask<Void> task = new RemoteTask<Void>() {
      @Override
      public void performTask() throws Exception {
        if (menuItem.isSelected() && getCurrentProject() != null) 
        getCurrentProject().refreshTree();
      }
    };

    task.execute(getWindow(), getTitle(), LNG.get("PRJ_WAITING_REFRESH_TREE"));
  }

  @Override
  public String getName() {
    return ACTION_NAME;
  }
}
