package csbase.client.remote.manager.trustedserver;

import csbase.logic.trustedserver.TrustedServer;

import java.util.EventListener;

/**
 * Representa um ouvinte que deseja capturar mudanas no repositrio de
 * servidores confiveis.
 *
 * @author Tecgraf/PUC-Rio
 */
public interface TrustedServerManagerListener extends EventListener {
  /**
   *  chamado quando um servidor confivel  adicionado ao repositrio.
   *
   * @param addedTrustedServer O servidor confivel adicionado.
   */
  void wasAddedTrustedServer(TrustedServer addedTrustedServer);

  /**
   *  chamado quando um servidor confivel  removido do repositrio.
   *
   * @param removedTrustedServer O servidor confivel removido.
   */
  void wasRemovedTrustedServer(TrustedServer removedTrustedServer);

  /**
   *  chamado quando um servidor confivel  alterado.
   *
   * @param oldTrustedServer O servidor confivel em seu estado antigo.
   * @param newTrustedServer O servidor confivel em seu estado atual.
   */
  void wasModifiedTrustedServer(
    TrustedServer oldTrustedServer, TrustedServer newTrustedServer);
}
