package csbase.client.util;


import java.awt.Component;
import tecgraf.javautils.FormatUtils;
import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

/**
 * Renderizador de clulas para tamanhos em bytes.
 */
public class SizeTableCellRenderer extends DefaultTableCellRenderer {

  /**
   * {@inheritDoc}
   */
  public Component getTableCellRendererComponent(
    JTable table, Object value, boolean isSelected, boolean hasFocus, int row,
    int column) {
    Component comp =
      super.getTableCellRendererComponent(
        table, value, isSelected, hasFocus, row, column);
    if (value instanceof Double) {
      double size = ((Double)value).doubleValue();
      String strSize = FormatUtils.formatSize((long)size, 2);      
      ((DefaultTableCellRenderer)comp).setText(strSize);
    }
    return comp;
  } 

}
