/*
 * SGAContainerSelection.java
 *
 * $Author: taciana $
 * $Revision: 54856 $ - $Date: 2006-08-15 18:14:25 -0300 (Tue, 15 Aug 2006) $
 */
package csbase.client.util.sga;

import tecgraf.javautils.LNG;
import tecgraf.javautils.gui.selector.ContainerSelection;
import tecgraf.javautils.gui.table.ObjectTableProvider;

/**
 * A classe <code>SGAContainerSelection</code> modela um componente
 * ContainerSelection que apresenta duas listas de sgas. Este componente deve
 * ser usado em qualquer dilogo que se deseje  gerenciar sgas.
 */
final class SGAContainerSelection extends ContainerSelection<String> {
  /**
   * Cria uma conteiner de seleo de SGAs, vazio e habilitado.
   */
  public SGAContainerSelection() {
    super(getFormatForAvailableItems(), getFormatForSelectedItems());
  }

  /**
   * Devolve o formatador dos elementos disponveis para seleo.
   *
   * @return .
   */
  private static ObjectTableProvider getFormatForAvailableItems() {
    return new ObjectTableProvider() {
        public Object[] getCellValues(Object item) {
          return new String[] { (String)item };
        }

        public String[] getColumnNames() {
          return new String[] { LNG.get("MON_GROUP_SELECTABLE_SERVERS") };
        }

        public Class[] getColumnClasses() {
          return new Class[] { String.class };
        }
      };
  }

  /**
   * Devolve o formatador dos elementos escolhidos.
   *
   * @return .
   */
  private static ObjectTableProvider getFormatForSelectedItems() {
    return new ObjectTableProvider() {
        public Object[] getCellValues(Object item) {
          return new String[] { (String)item };
        }

        public String[] getColumnNames() {
          return new String[] { LNG.get("MON_GROUP_SELECTED_SERVERS") };
        }
        
        public Class[] getColumnClasses() {
          return new Class[] { String.class };
        }
      };
  }
}
