/**
 * $Id$
 */

package csbase.exception.algorithms;

import csbase.exception.CSBaseException;

/**
 * Exceo lanada pelo configurador de algoritmos quando uma operao  feita
 * sobre um parmetro que no existe.
 */
public final class ParameterNotFoundException extends CSBaseException {
  /**
   * Nome do parmetro.
   */
  private final String parameterName;

  /**
   * Construtor.
   * 
   * @param parameterName nome do parmetro
   */
  public ParameterNotFoundException(String parameterName) {
    super("O parmetro {0} no foi encontrado.", parameterName);
    this.parameterName = parameterName;
  }

  /**
   * Construtor.
   * 
   * @param parameterName nome do parmetro
   * @param algorithmDescription descrio do algoritmo
   */
  public ParameterNotFoundException(String parameterName,
    String algorithmDescription) {
    super("O parmetro {0} no foi encontrado do algoritmo {1}.",
      parameterName, algorithmDescription);
    this.parameterName = parameterName;
  }

  /**
   * @return o nome do parmetro
   */
  public String getParameterName() {
    return parameterName;
  }
}
