package csbase.logic;

import java.util.Comparator;

/**
 * A classe <code>ProjectFileComparator</code> implementa o Comparator para
 * o ProjectFile. Ordenao: diretrio pai quando existir (..), seguido
 * dos diretrios ordenados alfabeticamente, seguidos dos arquivos ordenados
 * alfabeticamente.
 */
public class ClientProjectFileComparator implements Comparator{

  public int compare(Object o1, Object o2) {
    ClientProjectFile file1 = (ClientProjectFile) o1;
    ClientProjectFile file2 = (ClientProjectFile) o2;
    if (file1.isParentDir()) {
      return -1;
    }
    if (file2.isParentDir()) {
      return -1;
    }
    if (file1.isDirectory()){
      if (file2.isDirectory()){
        return file1.getName().compareTo(file2.getName());
      }
      else {
        return -1;
      }
    }
    if (file2.isDirectory()){
      return 1;
    }
    else {
      return file1.getName().compareTo(file2.getName());
    }
  }

  /**
   * Dummy implementation
   */
  public boolean equals(Object obj){
    if (obj == this) return true;
    if (obj == null) return false;
    if (getClass() != obj.getClass()) return false;
    return false;
  }
}
