package csbase.logic;

/**
 * Classe que representa os dados de mensagem de erro na execuo de um comando
 * em um SGA. Essa notificao indica que o comando terminou por causa de algum
 * erro capturado durante a sua execuo.
 * 
 * @author Tecgraf
 */
public class CommandErrorNotificationData extends
  DefaultCommandFinishedNotificationData {

  /**
   * Construtor
   * 
   * @param commandId identificador do comando.
   * @param cmdDesc descrio do comando.
   * @param tip Dica para auxiliar a identificao do algoritmo do comando.
   * @param startTime Hora de incio
   * @param execHost Servidor de execuo.
   * @param projectId identificador do projeto
   */
  public CommandErrorNotificationData(Object commandId,
    String cmdDesc, String tip, long startTime, String execHost,
    Object projectId) {
    super(commandId, cmdDesc, tip, startTime, execHost, projectId);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  protected String getStatusString() {
    return "ERROR";
  }

}
