/*
 * CommandFailedNotificationData.java
 * 
 * $Author: isabella $ $Date: 2008-10-31 18:19:56 -0200 (Fri, 31 Oct 2008) $
 * $Revision: 85068 $
 */
package csbase.logic;

/**
 * Classe que representa os dados de mensagem de falha na inicializao de um
 * comando em um SGA. Essa notificao indica que a execuo nem pde ser
 * iniciada, por uma falha inesperada.
 */
public class CommandFailedNotificationData extends DefaultCommandFinishedNotificationData {

  /**
   * Constri o evento de falha de comando sem dados de tempo.
   * 
   * @param commandId identificador do comando.
   * @param cmdDesc descrio do comando.
   * @param tip Dica para auxiliar a identificao do algoritmo do comando.
   * @param startTime Hora de incio
   * @param execHost Servidor de execuo.
   * @param projectId identificador do projeto
   */
  public CommandFailedNotificationData(Object commandId, String cmdDesc,
    String tip, long startTime, String execHost, Object projectId) {
    super(commandId, cmdDesc, tip, startTime, execHost, projectId);
  }

  /**
   * {@inheritDoc}
   */
  @Override
  protected String getStatusString() {
    return "FAILED";
  }
}
