package csbase.logic;

/**
 * Classe que representa os dados de mensagem de sucesso na execuo de um
 * comando em um SGA. Essa notificao indica que o comando terminou sua
 * execuo com sucesso.
 * 
 * @author Tecgraf
 */
public class CommandSuccessNotificationData extends
  ExtendedCommandFinishedNotificationData {

  /**
   * {@inheritDoc}
   */
  @Override
  protected String getStatusString() {
    return "CMD/SUCCESS";
  }

  /**
   * Constri o evento de trmino de comando.
   * 
   * @param commandId identificador do comando.
   * @param cmdDesc descrio do comando.
   * @param tip Dica para auxiliar a identificao do algoritmo do comando.
   * @param elapsedTimeSec tempo de parede.
   * @param userTimeSec tempo em modo usurio.
   * @param cpuTimeSec tempo em modo sistema.
   * @param startTime Hora de incio
   * @param endTime Hora de trmino.
   * @param execHost Servidor de execuo.
   * @param projectId identificador do projeto
   */
  public CommandSuccessNotificationData(Object commandId, String cmdDesc,
    String tip, int elapsedTimeSec, int userTimeSec, int cpuTimeSec,
    long startTime, long endTime, String execHost, Object projectId) {
    super(commandId, cmdDesc, tip, elapsedTimeSec, userTimeSec, cpuTimeSec,
      startTime, endTime, execHost, projectId);
  }

}
