/*
 * $Id: NoHiddenFileFilter.java 75594 2008-05-02 17:19:36Z costa $
 */
package csbase.logic;

/**
 * Filtro que aceita apenas arquivos cujos nomes no comeam com ".".
 */
public class NoHiddenFileFilter implements ProjectFileFilter {

  /**
   * Instncia nica da classe.
   */
  private static NoHiddenFileFilter instance;

  /**
   * Construtor.
   */
  private NoHiddenFileFilter() {
    // vazio
  }

  /**
   * Retorna a instncia (nica) da classe.
   * 
   * @return instncia (nica) da classe
   */
  public static NoHiddenFileFilter getInstance() {
    if (instance == null) {
      instance = new NoHiddenFileFilter();
    }
    return instance;
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public boolean accept(ProjectFile file) {
    return !file.getName().startsWith(".");
  }

}
