/*
 * UserInfo.java
 *
 * $Author: lmoreira $
 * $Revision: 54545 $  - $Date: 2006-08-09 13:26:54 -0300 (Wed, 09 Aug 2006) $
 */
package csbase.logic;

import java.io.Serializable;
import java.util.List;

/**
 * A classe <code>ProjectFileTypeInfo</code> representa os dados de  um tipo de
 * arquivo.
 *
 * @author Taciana
 * @version $Revision: 54545 $
 */
public class ProjectFileTypeInfo implements Serializable {
  /* Cdigo do tipo */
  public String typeCode;
  /* Descrio do tipo */
  public String description;
  /* MimeType do tipo  */
  public String mimeType;
  /* cone de um arquivo regular */
  public byte[] baseIcon;
  /* cone de um arquivo em construo  */
  public byte[] ucIcon;
  /* cone de um arquivo proveniente da base */
  public byte[] dbIcon;
  /* cone de um arquivo recortado */
  public byte[] cutIcon;
  /* cone de um arquivo publicado pelo  prprio usurio */
  public byte[] pubMeIcon;
  /* cone de um arquivo publicado por outro usurio  */
  public byte[] pubOtherIcon;
  /* Extensoes que um arquivo pode ter*/
  public List<String> extensions;

  /**
   * Cria um FileTypeInfo.
   *
   * @param typeCode .
   * @param description .
   * @param mimeType .
   * @param baseIcon .
   * @param ucIcon .
   * @param dbIcon .
   * @param cutIcon .
   * @param pubMeIcon .
   * @param pubOtherIcon .
   * @param extensions .
   */
  public ProjectFileTypeInfo(
    String typeCode, String description, String mimeType, byte[] baseIcon,
    byte[] ucIcon, byte[] dbIcon, byte[] cutIcon, byte[] pubMeIcon,
    byte[] pubOtherIcon, List<String> extensions) {
    this.typeCode = typeCode;
    this.description = description;
    this.mimeType = mimeType;
    this.baseIcon = baseIcon;
    this.ucIcon = ucIcon;
    this.dbIcon = dbIcon;
    this.cutIcon = cutIcon;
    this.pubMeIcon = pubMeIcon;
    this.pubOtherIcon = pubOtherIcon;
    this.extensions = extensions;
  }
}
