/*
 * ProjectFileDeletedEvent.java
 *
 * $Author: rodrigoh $
 * $Revision: 35176 $  - $Date: 2005-02-22 12:45:47 -0300 (Tue, 22 Feb 2005) $
 */
package csbase.logic;

/**
 * Representa o evento de remoo de um arquivo na rvore do projeto.
 */
public class ProjectFilesDeletedEvent extends ProjectEvent {
  private String[][] paths;
  private int[] indexes;
  private ProjectFile[] removedFiles;

  /**
   * Retorna os caminhos dos arquivos excludos como resultado do evento
   * ocorrido.
   *
   * @return Os caminhos dos arquivos excludos.
   */
  public String[][] getPaths() {
    return paths;
  }

  public void setRemovedFilesIndexes(int[] indexes) {
    this.indexes = indexes;
  }

  public void setRemovedFiles(ProjectFile[] removedFiles) {
    this.removedFiles = removedFiles;
  }

  public int[] getRemovedFilesIndexes() {
    return indexes;
  }

  public ProjectFile[] getRemovedFiles() {
    return this.removedFiles;
  }

  /**
   * Cria uma instncia de <code>ProjectEvent</code> para o evento de remoo
   * de um arquivo na rvore de um projeto.
   *
   * @param paths O caminho do arquivo excludo.
   */
  public ProjectFilesDeletedEvent(String[][] paths) {
    event = FILES_DELETED;
    this.paths = paths;
  }
}
