/*
 * ProjectInfoModifiedEvent.java
 *
 * $author$
 * $Revision: 55308 $  - $Date: 2006-08-23 18:11:09 -0300 (Wed, 23 Aug 2006) $
 */
package csbase.logic;


/**
 * Representa o evento de modificao de informaes de  um projeto.
 */
public class ProjectInfoModifiedEvent extends ProjectEvent {
  private CommonProjectInfo info;

  /*
   * Retorna as novas informaes de um projeto, que
   * foram modificadas no servidor
   * como resultado do evento ocorrido.
   * @return As informaes do projeto que foram modificadas ou
   *         <code>null</code> caso no seja esse o evento
   *         que o objeto est representando.
   */
  public CommonProjectInfo getInfo() {
    return info;
  }

  /**
   * Cria uma instncia de <code>ProjectEvent</code> para o evento de
   * modificao de informaes de um projeto.
   *
   * @param info O objeto da classe <code>ProjectInfo</code> que possui as
   *        novas informaes do projeto.
   */
  public ProjectInfoModifiedEvent(CommonProjectInfo info) {
    event = INFO_MODIFIED;
    this.info = info;
  }
}
