package csbase.logic;

import java.io.Serializable;

import java.util.List;

/**
 * Modela as listas com os projetos de um determinado usurio.
 */
public class ProjectSynchronizationListProjects implements Serializable {
  private List projectsServerA;
  private List projectsServerB;
  private boolean sameServer;

  public ProjectSynchronizationListProjects(
    List projectsServerA, List projectsServerB) {
    this.projectsServerA = projectsServerA;
    this.projectsServerB = projectsServerB;
  }

  /**
   * Retorna a lista de projetos do servidor origem.
   *
   * @return List
   */
  public List getProjectsServerA() {
    return projectsServerA;
  }

  /**
   * Retorna a lista de projetos do servidor destino.
   *
   * @return List
   */
  public List getProjectsServerB() {
    return projectsServerB;
  }

  public boolean isSameServer() {
    return sameServer;
  }

  public void setSameServer(boolean sameServer) {
    this.sameServer = sameServer;
  }
}
