/*
 * NotificationData.java
 * $Author: moura $
 * $Revision: 55308 $  - $Date: 2006-08-23 18:11:09 -0300 (Wed, 23 Aug 2006) $
 */
package csbase.logic;


/**
 * Representa o contedo da mensagem de notificao.
 */
public class ServerNotificationData extends NotificationData {

  /** Atributo de estado (on)/(off) */
  private boolean state;

  /**
   * Consulta ao modo start-up.
   *
   * @return <code>true</code> se o servidor entrou no ar,  <code>false</code>
   *         caao contrrio.
   */
  public boolean getState() {
    return state;
  }

  /**
   * Definio da volatilidade da notificao.
   * @return flag indicativo.
   */
  public boolean isVolatile() {
    return false;
  }

  /**
   * String para auditagem.
   *
   * @return uma string
   */
  public String toString() {
    if (state) {
      return "Server/START";
    }
    else {
      return "Server/SHUTDOWN";
    }
  }

  /**
   * Constri o evento de incio do SSI.
   *
   * @param state estado on/off.
   */
  public ServerNotificationData(boolean state) {
    this.state = state;
  }
}
