package csbase.logic;

import csbase.remote.ClientRemoteLocator;

import java.util.Collection;
import java.util.Iterator;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 * Permisso que possibilita a um tipo de usurio especial, chamado de
 * super-usurio, delegar um login de um outro usurio especificado por ele
 * sem necessidade de entrada de senha.
 *
 * @see csbase.server.services.loginservice.LoginService#login(String,String,Locale,
 *      String)
 */
public class SuperUserPermission extends ChoicePermission {
  public SuperUserPermission() {
    super();
  }

  public SuperUserPermission(
    String name, String description, Map attributes) {
    super(name, description, attributes);
  }

  public Map getDomain() {
    Map<String, Object> map = new LinkedHashMap<String, Object>();
    map.put("IAS_ROLES", new Boolean(true));
    return map;
  }

  public Map getRange(String key)
  throws Exception {
    Collection roles =
      ClientRemoteLocator.administrationService.getAllRoles();
    LinkedHashMap<String, Object> rolesMap = new LinkedHashMap<String, Object>();
    for (Iterator i = roles.iterator(); i.hasNext();) {
      Role r = (Role)i.next();
      rolesMap.put(r.getName(), r.getId());
    }
    return rolesMap;
  }
}
