/**
 * UserNotificationData.java
 */
package csbase.logic;

/**
 * Classe que modela uma notificao cujo dado j  um texto.
 * 
 * @author Tecgraf/PUC-Rio
 */
public class UserNotificationData extends NotificationData {

  /**
   * Texto da mensagem enviada
   */
  private String content;

  /**
   * Flag de volatilidade
   */
  private boolean volatileFlag;

  /**
   * {@inheritDoc}
   */
  @Override
  public boolean isVolatile() {
    return volatileFlag;
  }

  /**
   * {@inheritDoc}
   */
  @Override
  public String toString() {
    return content;
  }

  /**
   * Constri a notificao de forma no voltil e sem popup.
   * 
   * @param content a string com a mensagem.
   */
  public UserNotificationData(final String content) {
    this(content, false, false);
  }

  /**
   * Constri a notificao.
   * 
   * @param content a string com a mensagem.
   * @param mustPopUp flag indicativo de popup da mensagem da tela.
   * @param volatileFlag indicativo de volatilidade.
   */
  public UserNotificationData(final String content, final boolean mustPopUp,
    final boolean volatileFlag) {
    super(mustPopUp);
    this.content = content;
    this.volatileFlag = volatileFlag;
  }
}
