package csbase.logic.algorithms;

import java.io.Serializable;
import java.util.SortedSet;

/**
 * Essa classe representa um conjunto de categorias de algoritmos.
 * 
 */
public class CategorySet implements Serializable {

  /** Categorias de algoritmos */
  private SortedSet<Category> categories;

  /**
   * Constri o conjunto de categorias a partir das categorias disponveis no
   * sistema.
   * 
   * @param categories categorias disponveis no sistema
   */
  public CategorySet(SortedSet<Category> categories) {
    this.categories = categories;
  }

  /**
   * Obtm as categorias de algoritmos disponveis no conjunto.
   * 
   * @return as categorias de algoritmos
   */
  public SortedSet<Category> getCategories() {
    return categories;
  }

  /**
   * Estabelece as categorias de algoritmos disponveis no conjunto.
   * 
   * @param categories as categorias de algoritmos
   */
  public void setCategories(SortedSet<Category> categories) {
    this.categories = categories;
  }
}
