package csbase.logic.algorithms.parameters;

import csbase.logic.algorithms.AlgorithmVersionId;

import java.io.*;
import java.util.*;

/** 
 */
public class ParameterLoader implements Serializable {
  /* Simplificando para um nico parmetro */
  /** */
  private Set<String> inputParameterNames;
  /** */
  private String outputParameterName;
  /** */
  private String algorithmName;
  /** */
  private AlgorithmVersionId algorithmVersionId;

  public ParameterLoader(String algorithmName,
    AlgorithmVersionId algorithmVersionId,
    String outputParameterName) {
    this.inputParameterNames = new HashSet<String>();
    this.outputParameterName = outputParameterName;
    this.algorithmName = algorithmName;
    this.algorithmVersionId = algorithmVersionId;
  }

  public boolean addInputParameterName(String inputParameterName) {
    return this.inputParameterNames.add(inputParameterName);
  }

  public Set<String> getInputParameterNames() {
    return Collections.unmodifiableSet(inputParameterNames);
  }

  public String getOutputParameterName() {
    return outputParameterName;
  }

  public String getAlgorithmName() {
    return algorithmName;
  }

  public AlgorithmVersionId getAlgorithmVersionId() {
    return algorithmVersionId;
  }
}
