package csbase.logic.algorithms.parameters;

import java.util.List;

import csbase.exception.algorithms.ExpressionFunctionExecutionException;

public final class TableMaxExpressionFunction extends TableExpressionFunction {

  public TableMaxExpressionFunction() {
    super("table_max", new Class[]{});
  }

  @Override
  protected Object doOperation(List<Object> values, Object... arguments)
    throws ExpressionFunctionExecutionException {
    if (values == null) {
      throw new ExpressionFunctionExecutionException("A tabela est vazia.");
    }
    double maxValue = Double.MIN_VALUE;
    for (Object value : values) {
      double doubleValue = Double.parseDouble(value.toString());
      if (doubleValue > maxValue) {
        maxValue = doubleValue;
      }
    }
    return maxValue;
  }
}
