/*
 * $Author:$ $Date:$ $Release:$
 */
package csbase.logic.algorithms.parameters.conditions;

import java.util.List;

import csbase.logic.algorithms.parameters.SimpleAlgorithmConfigurator;

public final class AndOperatorCondition extends CompositeOperatorCondition {
  public AndOperatorCondition(Condition... conditions) {
    super(conditions);
  }

  public AndOperatorCondition(List<Condition> conditions) {
    super(conditions);
  }

  public boolean evaluate(SimpleAlgorithmConfigurator configurator) {
    for (Condition condition : getConditions()) {
      if (!condition.evaluate(configurator)) {
        return false;
      }
    }
    return true;
  }
}
