package csbase.logic.algorithms.parameters.conditions;

import csbase.logic.algorithms.parameters.SimpleAlgorithmConfigurator;

public final class NotOperatorCondition implements Condition {
  private Condition condition;

  public NotOperatorCondition(Condition condition) {
    if (condition == null) {
      throw new IllegalArgumentException("O parmetro condition est nulo.");
    }
    this.condition = condition;
  }

  public boolean evaluate(SimpleAlgorithmConfigurator configurator) {
    return !this.condition.evaluate(configurator);
  }

  @Override
  public boolean equals(Object obj) {
    if (obj == null) {
      return false;
    }
    if (!obj.getClass().equals(getClass())) {
      return false;
    }
    NotOperatorCondition notOperationCondition = (NotOperatorCondition)obj;
    return notOperationCondition.condition.equals(this.condition);
  }

  @Override
  public int hashCode() {
    return this.condition.hashCode();
  }

  @Override
  public String toString() {
    String toString = "Classe = "+getClass().getName()+"\n";
    toString += "Condio interna = "+this.condition+"\n";
    return toString;
  }
}
