/*
 * $Author:$ $Date:$ $Release:$
 */
package csbase.logic.algorithms.parameters.conditions;

import java.util.List;

import csbase.logic.algorithms.parameters.SimpleAlgorithmConfigurator;

public final class OrOperatorCondition extends CompositeOperatorCondition {
  public OrOperatorCondition(Condition... conditions) {
    super(conditions);
  }

  public OrOperatorCondition(List<Condition> conditions) {
    super(conditions);
  }

  public boolean evaluate(SimpleAlgorithmConfigurator configurator) {
    for (Condition condition : getConditions()) {
      if (condition.evaluate(configurator)) {
        return true;
      }
    }
    return false;
  }
}