package csbase.logic.algorithms.parameters.triggers;

import csbase.logic.algorithms.parameters.SimpleParameter;
import csbase.logic.algorithms.parameters.conditions.Condition;

public final class ChangeLabelTrigger extends Trigger {

  private String defaultLabel;
  private String newLabel;
  
  public ChangeLabelTrigger(SimpleParameter<?> parameter, Condition condition,
    String newLabel) {
    super(parameter, condition);
    defaultLabel = parameter.getLabel();
    setNewLabel(newLabel);
  }

  @Override
  protected void doAction() {
    getParameter().setLabel(newLabel);
  }

  @Override
  protected void undoAction() {
    getParameter().setLabel(defaultLabel);
  }

  private void setNewLabel(String newLabel) {
    if (newLabel == null) {
      throw new IllegalArgumentException("O parmetro newLabel est nulo.");
    }
    this.newLabel = newLabel;
  }
}
