package csbase.logic.algorithms.parsers;

import java.util.List;

import csbase.exception.ParseException;
import csbase.logic.algorithms.parameters.EnumerationItem;
import csbase.logic.algorithms.parameters.EnumerationListParameter;

/**
 * <p>
 * Analisador de {@link EnumerationListParameter} .
 * </p>
 * 
 * <p>
 * Este parser l os atributos de parmetros do tipo "enumerao mltipla". O
 * elemento corrente do {@link XmlParser analisador de XML} precisa ser um
 * elemento {@link EnumerationListParameter}.
 * </p>
 */
public class EnumerationListParameterParser extends
  AbstractEnumerationParameterParser<EnumerationListParameter> {

  /**
   * {@inheritDoc}
   */
  @Override
  protected EnumerationListParameter createEnumerationParameter(
    XmlParser parser, String name, String label, String description,
    boolean isOptional, String commandLinePattern, boolean mustSort,
    List<EnumerationItem> items, String defaultItemId) throws ParseException {
    EnumerationListParameter parameter =
      new EnumerationListParameter(name, label, description, isOptional,
        commandLinePattern, mustSort);
    parameter.setItems(items);
    return parameter;
  }

}
