package csbase.logic.algorithms.parsers;

/**
 * Define uma interface para converso de strings para seus valores
 * correspondentes em uma enumerao E. Permite que diferentes string possam ser
 * mapeadas para um mesmo valor da enumerao.
 * 
 * Essa interface  utilizada pelo {@link XmlParser} para transformar strings
 * lidas diretamente em enumeraes.
 * 
 * @param <E> Enumerao cujos valores sero mapeados
 * 
 */
public interface StringToEnumConverter<E extends Enum<E>> {

  /**
   * Retorna o valor da enumerao que corresponde a uma determinada string ou
   * nulo se no for possvel fazer a converso.
   * 
   * @param string A string a ser convertida.
   * @return O valor da enumerao que corresponde  string.
   * 
   */
  public E valueOf(String string);

}
