package csbase.logic.filters;

import csbase.logic.ProjectFile;
import csbase.logic.ProjectFileFilter;

/**
 * Define um filtro nulo, ou seja, todos os arquivos so aceitos.
 *
 * @author Rodrigo Carneiro Henrique (rodrigoh)
 */
public final class ProjectFileNullFilter implements ProjectFileFilter {
  private static ProjectFileNullFilter instance;

  private ProjectFileNullFilter() {}

  public static ProjectFileNullFilter getInstance() {
    if (ProjectFileNullFilter.instance == null) {
      ProjectFileNullFilter.instance = new ProjectFileNullFilter();
    }
    return ProjectFileNullFilter.instance;
  }

  public boolean accept(ProjectFile file) {
    return true;
  }
}
