package csbase.logic.trustedserver;

/**
 * Representa um evento de remoo de um servidor confivel do repositrio de
 * servidores confiveis.
 *
 * @author Tecgraf/PUC-Rio
 */
public final class TrustedServerRemoveEvent extends TrustedServerEvent {
  /** O servidor que foi removido. */
  private TrustedServer trustedServer;

  /**
   * Cria um evento de remoo de servidor 
   *
   * @param source A origem do evento (onde o evento foi gerado).
   * @param trustedServer O servidor que foi removido.
   */
  public TrustedServerRemoveEvent(Object source, TrustedServer trustedServer) {
    super(source, TrustedServerEventType.REMOVE);
    this.trustedServer = trustedServer;
  }

  /**
   * Obtm o servidor que foi removido.
   *
   * @return O servidor que foi removido.
   */
  public TrustedServer getTrustedServer() {
    return this.trustedServer;
  }
}
