/*
 * $Id: ApplicationServiceInterface.java 93285 2009-07-03 20:02:55Z clinio $
 */
package csbase.remote;

import java.rmi.RemoteException;
import java.util.Hashtable;

import csbase.logic.applicationservice.ApplicationCategory;
import csbase.logic.applicationservice.ApplicationRegistry;

/**
 * Interface do servio de gerncia de aplicaes.
 * 
 * @author Tecgraf/PUC-Rio
 */
public interface ApplicationServiceInterface extends ServiceInterface {

  /**
   * Nome do servio para o <code>ServiceManager</code>
   */
  public static final String SERVICE_NAME = "ApplicationService";

  /**
   * Consulta as aplicaes definidas pelo sistema
   * 
   * @return a hash
   * @throws RemoteException em caso de erro.
   */
  public Hashtable<String, ApplicationRegistry> getApplicationRegistries()
    throws RemoteException;

  /**
   * Consulta as listas de categorias definidas pelo sistema
   * 
   * @return a hash
   * @throws RemoteException em caso de erro
   */
  public Hashtable<String, ApplicationCategory> getApplicationCategories()
    throws RemoteException;

}
