/*
 * EventLogServiceInterface.java
 * $Author: taciana $
 * $Revision: 72699 $  - $Date: 2008-02-14 15:00:23 -0200 (Thu, 14 Feb 2008) $
 */
package csbase.remote;

import java.rmi.RemoteException;

/**
 * Interface remota para acesso ao servio de log cliente.
 * @author André Luiz Clinio.
 */
public interface EventLogServiceInterface extends ServiceInterface {

  /** Nome do servio para o <code>ServiceManager</code> */
  public static final String SERVICE_NAME = "EventLogService";

  /**
   * Adiciona uma informao na fila especificada; caso a fila ainda no
   * exista, ela  criada. A informao  escrita, linha a linha,
   * no formato CSV, na forma:
   * <pre>
   * [data numrica]; [data textual]; [usurio]; [informaes recebidas]
   * </pre>
   *
   * A <i>data numrica</i>  o nmero de milisegundos desde o "epoch" como
   * um long int. Todas as
   * informaes passadas ao mtodo so colocadas, no formato CSV separadas
   * por ponto e vrgulas, aps a chave do usurio.
   * @param queue fila de armazenamento.
   * @param info informaes a serem gravadas.
   * @throws RemoteException no caso de falha.
   * @return true se a informao foi logada com sucesso
   */
  public boolean addInformation(final String[] queue, final String[] info)
  throws RemoteException;

}
