/*
 * NotificationServiceInterface.java
 *
 * $Author: abrantes $
 * $Revision: 35965 $  - $Date: 2005-09-15 17:37:14 -0300 (Thu, 15 Sep 2005) $
 */
package csbase.remote;

import java.rmi.RemoteException;

/**
 * Interface remota para acesso ao Servio de Notificao.
 */
public interface NotificationServiceInterface extends ServiceInterface, RemoteObservable {
  /** Nome do servio para o <code>ServiceManager</code> */
  public static final String SERVICE_NAME = "NotificationService";

  /**
   * Mtodo para envio de notificao-texto para um usurio.
   *
   * @param senderName identificao de remetente.
   * @param userId identificao de usurio destino.
   * @param content contedo da mensagem.
   * @param volFlag flag de volatilidade da mensagem.
   *
   * @return um flag indicativo de sucesso..
   *
   * @throws RemoteException .
   */
  public boolean notifyTo(
    String senderName, Object userId, String content, boolean volFlag)
  throws RemoteException;

  public boolean notifyTo(
    String senderName, Object userId, String content, boolean mustPopUp,
    boolean volFlag)
  throws RemoteException;
}
