/*
 * $Id$
 */
package csbase.remote;

import java.rmi.RemoteException;

import csbase.logic.BusInfo;

/**
 * Representa o servio que trata da conexo do CSBase com o OpenBus.
 * 
 * @author Tecgraf/PUC-Rio
 */
public interface OpenBusServiceInterface extends ServiceInterface {
  /**
   * O nome do servio.
   */
  String SERVICE_NAME = "OpenBusService";

  /**
   * Obtm informaes sobre a localizao do OpenBus.
   * 
   * @return A localizao do OpenBus.
   * 
   * @throws RemoteException Usada pelo mecanismo de RMI.
   */
  BusInfo getBusInfo() throws RemoteException;

  /**
   * Obtm o IOR de um Servio de Dados restrito a um nico projeto.
   * 
   * @param projectName O nome do projeto.
   * 
   * @return O IOR do Servio de Dados.
   * 
   * @throws RemoteException Usada pelo mecanismo de RMI.
   */
  String getDataService(String projectName) throws RemoteException;
}
