/*
 * RemoteObserver.java
 *
 * $Author: taciana $
 * $Revision: 33970 $  - $Date: 2004-06-30 09:34:43 -0300 (Wed, 30 Jun 2004) $
 */
package csbase.remote;

import java.rmi.*;

/**
 * A interface <code>RemoteObserver</code>  representa um objeto que precisa
 * ser informado de mudanas em um objeto remoto. Um objeto observado precisa
 * implementar a interface  {@link websintesi.remote.RemoteObserver
 * RemoteObsevable}.
 *
 * @author Maria Julia Lima
 * @version $Revision: 33970 $
 */
public interface RemoteObserver extends Remote {
  /**
   * Esse mtodo  chamado sempre que alguma alterao ocorre em um objeto
   * observado.
   *
   * @param event O evento que descreve a mudana ocorrida.
   *
   * @throws Erro no rmi.
   */
  void update(Object event) throws RemoteException;

  /**
   * Registra no servidor um observador.
   */
  void install() throws RemoteException;

  /**
   * Remove do servidor o registro desse observador.
   */
  void uninstall() throws RemoteException;
}
