/*
 * XAppServiceInterface.java
 *
 * $Author: abrantes $
 * $Revision: 35965 $  - $Date: 2005-09-15 17:37:14 -0300 (Thu, 15 Sep 2005) $
 */
package csbase.remote;

import csbase.logic.XApplicationInfo;

import java.rmi.RemoteException;

import java.util.List;
import java.util.Vector;

/**
 * Interface remota para acesso ao Servio de Gerncia de Algoritmos
 */
public interface XAppServiceInterface extends ServiceInterface {
  /** Nome do servio para o <code>ServiceManager</code> */
  public static final String SERVICE_NAME = "XApplicationsService";

  public Object[] getAllIds()
  throws RemoteException;

  public XApplicationInfo[] getAllInfo()
  throws RemoteException;

  public XApplicationInfo getInfo(Object id)
  throws RemoteException;

  public boolean runApplication(
    Object prjId, Object appId, String displayName, String sgaName,
    String hostName)
  throws RemoteException;

  public boolean runApplication(
    Object prjId, Object appId, String dspName, String sgaName, String hostName,
    List commParameters)
  throws RemoteException;

  public Vector getPlatforms(Object id)
  throws RemoteException;
}
