package csbase.server.services.administrationservice;

import csbase.remote.AdministrationServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class AdministrationServiceProxy extends csbase.server.ServiceProxy implements AdministrationServiceInterface {

public AdministrationServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public java.util.List<csbase.logic.User> getAllUsers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllUsers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.UserUpdate> getAllUserUpdates() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllUserUpdates();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.UserOutline> getAllUserOutlines() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllUserOutlines();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.User getUser(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getUser(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.User createUser(csbase.logic.UserInfo param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().createUser(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public javax.swing.ImageIcon getPhoto(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getPhoto(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.User modifyUser(java.lang.Object param_0, csbase.logic.UserInfo param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().modifyUser(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteUser(java.lang.Object param_0) throws java.rmi.RemoteException, csbase.exception.administration.AdministrationDeleteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().deleteUser(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.UserGroup> getAllUserGroups() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllUserGroups();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.UserGroup getUserGroup(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getUserGroup(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.UserGroup createUserGroup(csbase.logic.UserGroupInfo param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().createUserGroup(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.UserGroup modifyUserGroup(java.lang.Object param_0, csbase.logic.UserGroupInfo param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().modifyUserGroup(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteUserGroup(java.lang.Object param_0) throws java.rmi.RemoteException, csbase.exception.administration.AdministrationDeleteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().deleteUserGroup(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.Role> getAllRoles() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllRoles();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Role getRole(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getRole(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Role createRole(csbase.logic.RoleInfo param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().createRole(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Role modifyRole(java.lang.Object param_0, csbase.logic.RoleInfo param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().modifyRole(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteRole(java.lang.Object param_0) throws java.rmi.RemoteException, csbase.exception.administration.AdministrationDeleteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().deleteRole(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<java.lang.String> getPermissionClasses() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getPermissionClasses();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.Permission> getAllPermissions() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllPermissions();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.Permission> getAllPermissionsWithPasswords() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllPermissionsWithPasswords();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Permission getPermissionWithPassword(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getPermissionWithPassword(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Permission createPermission(csbase.logic.Permission param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().createPermission(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Permission modifyPermission(java.lang.Object param_0, csbase.logic.Permission param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().modifyPermission(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deletePermission(java.lang.Object param_0) throws java.rmi.RemoteException, csbase.exception.administration.AdministrationDeleteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().deletePermission(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.Platform> getAllPlatforms() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getAllPlatforms();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Platform getPlatform(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getPlatform(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Platform createPlatform(csbase.logic.PlatformInfo param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().createPlatform(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Platform modifyPlatform(java.lang.Object param_0, csbase.logic.PlatformInfo param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().modifyPlatform(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deletePlatform(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().deletePlatform(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.Permission getPermission(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().getPermission(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean lock(csbase.remote.TransactionCallbackInterface param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().lock(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void unlock(csbase.remote.TransactionCallbackInterface param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().unlock(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isLocked() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().isLocked();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void addObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().addObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean deleteObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().deleteObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void notifyObservers(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().notifyObservers(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AdministrationService.getInstance().deleteObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean hasChanged() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().hasChanged();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int countObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AdministrationService.getInstance().countObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}