package csbase.server.services.algorithmservice;

import csbase.remote.AlgorithmServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class AlgorithmServiceProxy extends csbase.server.ServiceProxy implements AlgorithmServiceInterface {

public AlgorithmServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public csbase.logic.algorithms.AlgorithmInfo changeAlgorithmProperties(java.lang.String param_0, java.util.Hashtable<java.lang.String, java.lang.String> param_1) throws java.rmi.RemoteException, csbase.exception.algorithms.AlgorithmNotFoundException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().changeAlgorithmProperties(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo changeVersionProperties(java.lang.String param_0, csbase.logic.algorithms.AlgorithmVersionId param_1, java.util.Hashtable<java.lang.String, java.lang.String> param_2) throws java.rmi.RemoteException, csbase.exception.algorithms.AlgorithmNotFoundException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().changeVersionProperties(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void copyFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String[][] param_2, java.lang.Object param_3, java.lang.Object param_4, java.lang.String[][] param_5, boolean param_6) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().copyFile(param_0, param_1, param_2, param_3, param_4, param_5, param_6);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void copyFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String[][] param_2, java.lang.Object param_3, java.lang.Object param_4, java.lang.String[][] param_5) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().copyFile(param_0, param_1, param_2, param_3, param_4, param_5);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void copyFiles(csbase.logic.algorithms.AlgorithmVersionInfo param_0, java.util.List<csbase.logic.FileInfo> param_1, csbase.logic.IPathFactory param_2, csbase.logic.algorithms.AlgorithmVersionInfo param_3, csbase.logic.FileInfo param_4, csbase.logic.IPathFactory param_5, boolean param_6) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().copyFiles(param_0, param_1, param_2, param_3, param_4, param_5, param_6);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.Category createCategory(java.lang.String param_0, java.lang.String param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().createCategory(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeCategory(java.lang.String param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().removeCategory(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void bindAlgorithmsToCategories(java.util.List<java.lang.Object> param_0, java.util.List<java.lang.String> param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().bindAlgorithmsToCategories(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo createAlgorithm(java.lang.String param_0, java.util.Hashtable<java.lang.String, java.lang.String> param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().createAlgorithm(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmConfigurator createAlgorithmConfigurator(java.lang.String param_0, csbase.logic.algorithms.AlgorithmVersionId param_1) throws java.rmi.RemoteException, csbase.exception.algorithms.AlgorithmNotFoundException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().createAlgorithmConfigurator(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo createVersion(java.lang.Object param_0, int param_1, int param_2, int param_3, java.util.Hashtable<java.lang.String, java.lang.String> param_4) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().createVersion(param_0, param_1, param_2, param_3, param_4);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void duplicateVersion(java.lang.Object param_0, java.lang.Object param_1, int param_2, int param_3, int param_4) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().duplicateVersion(param_0, param_1, param_2, param_3, param_4);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.algorithms.AlgorithmProperty> getAlgorithmProperties() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getAlgorithmProperties();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object[] getAllIds() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getAllIds();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo[] getAllInfo() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getAllInfo();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmOutline[] getAllOutlines() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getAllOutlines();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo getInfo(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getInfo(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo getInfo(java.lang.String param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getInfo(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.SortedSet<csbase.logic.algorithms.Category> getAllCategories() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getAllCategories();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.algorithms.AlgorithmProperty> getVersionProperties() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().getVersionProperties();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo includePlatform(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().includePlatform(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean reloadAlgorithms() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().reloadAlgorithms();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean removeAlgorithm(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().removeAlgorithm(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String[][] param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().removeFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeExecutableFiles(csbase.logic.algorithms.AlgorithmVersionInfo param_0, java.lang.String param_1, csbase.logic.FileInfo[] param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().removeExecutableFiles(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeConfigurationFiles(csbase.logic.algorithms.AlgorithmVersionInfo param_0, csbase.logic.FileInfo[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().removeConfigurationFiles(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeDocumentationFiles(csbase.logic.algorithms.AlgorithmVersionInfo param_0, csbase.logic.FileInfo[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().removeDocumentationFiles(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo removePlatform(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().removePlatform(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.algorithms.AlgorithmInfo removeVersion(java.lang.Object param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().removeVersion(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String retrieveConfigUploadURL(java.lang.Object param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().retrieveConfigUploadURL(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String retrieveDocUploadURL(java.lang.Object param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().retrieveDocUploadURL(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String retrieveDownloadURL(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().retrieveDownloadURL(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String retrieveExecUploadURL(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().retrieveExecUploadURL(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String retrieveVersionUploadURL(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().retrieveVersionUploadURL(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.algorithms.HistoryRecord> retrieveHistory(java.lang.String[] param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().retrieveHistory(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareUploadExecFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2, java.lang.String param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareUploadExecFile(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareUploadConfigFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareUploadConfigFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareUploadDocFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareUploadDocFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareDownloadExecFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2, java.lang.String param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareDownloadExecFile(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareDownloadConfigFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareDownloadConfigFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareDownloadDocFile(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareDownloadDocFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean configFileExists(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().configFileExists(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean docFileExists(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().docFileExists(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean execFileExists(java.lang.Object param_0, java.lang.Object param_1, java.lang.String param_2, java.lang.String param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().execFileExists(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.niotransfer.RequestTransferInfo prepareUploadVersionPack(java.lang.Object param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().prepareUploadVersionPack(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean lock(csbase.remote.TransactionCallbackInterface param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().lock(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void unlock(csbase.remote.TransactionCallbackInterface param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().unlock(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isLocked() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().isLocked();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void addObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().addObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean deleteObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().deleteObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void notifyObservers(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().notifyObservers(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    AlgorithmService.getInstance().deleteObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean hasChanged() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().hasChanged();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int countObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return AlgorithmService.getInstance().countObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}