package csbase.server.services.notificationservice;

import csbase.remote.NotificationServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class NotificationServiceProxy extends csbase.server.ServiceProxy implements NotificationServiceInterface {

public NotificationServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public boolean notifyTo(java.lang.String param_0, java.lang.Object param_1, java.lang.String param_2, boolean param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return NotificationService.getInstance().notifyTo(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean notifyTo(java.lang.String param_0, java.lang.Object param_1, java.lang.String param_2, boolean param_3, boolean param_4) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return NotificationService.getInstance().notifyTo(param_0, param_1, param_2, param_3, param_4);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return NotificationService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void addObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    NotificationService.getInstance().addObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean deleteObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return NotificationService.getInstance().deleteObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void notifyObservers(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    NotificationService.getInstance().notifyObservers(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    NotificationService.getInstance().deleteObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean hasChanged() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return NotificationService.getInstance().hasChanged();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int countObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return NotificationService.getInstance().countObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}