package csbase.server.services.projectservice;

import csbase.remote.ProjectServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class ProjectServiceProxy extends csbase.server.ServiceProxy implements ProjectServiceInterface {

public ProjectServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public java.lang.String[] getAllProjectNames(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getAllProjectNames(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.Vector<csbase.logic.UserProjectInfo> getAllUserProjectsFromOthers(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getAllUserProjectsFromOthers(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void updateUsers(java.lang.Object param_0, csbase.logic.ProjectPermissions.SharingType param_1, java.util.Set<java.lang.Object> param_2, java.util.Set<java.lang.Object> param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().updateUsers(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean removeUser(java.lang.Object param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().removeUser(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeUsers(java.lang.Object param_0, java.util.Set<java.lang.Object> param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().removeUsers(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.CommonClientProject openProject(java.lang.Object param_0, java.lang.String param_1, boolean param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().openProject(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.CommonClientProject createProject(csbase.logic.CommonProjectInfo param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().createProject(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void createProjectWithAllocation(csbase.logic.CommonProjectInfo param_0, long param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().createProjectWithAllocation(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void unlockProjectsWithAllocation(csbase.logic.ProjectAdminInfo[] param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().unlockProjectsWithAllocation(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void freeAreaForProjects(csbase.logic.ProjectAdminInfo[] param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().freeAreaForProjects(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.CommonProjectInfo modifyProject(java.lang.Object param_0, csbase.logic.CommonProjectInfo param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().modifyProject(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeProject(java.lang.Object param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().removeProject(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void closeProject(java.lang.Object param_0, boolean param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().closeProject(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void rebuildTree(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().rebuildTree(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void refreshDir(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().refreshDir(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void createFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String param_2, java.lang.String param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().createFile(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void createFiles(java.lang.Object param_0, java.lang.String[] param_1, java.util.List<csbase.logic.ProjectFileInfo> param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().createFiles(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void renameFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().renameFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void changeFileType(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().changeFileType(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void copyFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String[] param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().copyFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void copyFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.Object param_2, java.lang.String[] param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().copyFile(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void moveFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String[] param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().moveFile(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void moveFile(java.lang.Object param_0, java.lang.String[] param_1, java.lang.Object param_2, java.lang.String[] param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().moveFile(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeFile(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().removeFile(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.ClientProjectFileInfo getUpdatedFileInfo(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getUpdatedFileInfo(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeFiles(java.lang.Object param_0, java.lang.String[][] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().removeFiles(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String getFileDescription(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getFileDescription(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void setFileDescription(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().setFileDescription(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void appendFileDescription(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().appendFileDescription(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean existsFile(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().existsFile(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.remote.ProjectFileChannel openFileChannel(java.lang.Object param_0, java.lang.String[] param_1, boolean param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().openFileChannel(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void openFileForReading(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().openFileForReading(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void openFileForWriting(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().openFileForWriting(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object acquireExclusiveLock(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().acquireExclusiveLock(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object acquireExclusiveLock(java.lang.Object param_0, java.lang.String[] param_1, csbase.logic.FileLockListenerInterface param_2, long param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().acquireExclusiveLock(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.String getProjectLocationInServer(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getProjectLocationInServer(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object acquireSharedLock(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().acquireSharedLock(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object acquireSharedLock(java.lang.Object param_0, java.lang.String[] param_1, csbase.logic.FileLockListenerInterface param_2, long param_3) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().acquireSharedLock(param_0, param_1, param_2, param_3);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int releaseLock(java.lang.Object param_0, java.lang.String[] param_1, java.lang.Object param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().releaseLock(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int forceReleaseLock(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().forceReleaseLock(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void closeFile(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().closeFile(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public long getModificationDate(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getModificationDate(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void addObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().addObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean deleteObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().deleteObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.Hashtable<java.lang.String, csbase.logic.ProjectFileTypeInfo> getAllFileTypes(java.util.Locale param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getAllFileTypes(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.ProjectFileTypeInfo getFileType(java.lang.String param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getFileType(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.ProjectAdminInfo[] getLockedProjectAdminInfo() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getLockedProjectAdminInfo();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isUnlockedWithAreaAllocated(java.lang.Object param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().isUnlockedWithAreaAllocated(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void setFileModificationDate(java.lang.Object param_0, java.lang.String[] param_1, long param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().setFileModificationDate(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.Set<csbase.logic.UserProjectInfo> getAllProjectsInfo(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getAllProjectsInfo(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.Set<java.lang.Object> getManageableProjectsId() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getManageableProjectsId();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean setUnderConstruction(java.lang.Object param_0, java.lang.String[] param_1, boolean param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().setUnderConstruction(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean startUpdate(java.lang.Object param_0, java.lang.String[] param_1, long param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().startUpdate(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean stopUpdate(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().stopUpdate(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.List<csbase.logic.FileInfoSearchResult> getAllFileInfoSearchResult(java.lang.Object param_0, java.lang.String param_1, java.lang.String param_2, boolean param_3, boolean param_4) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getAllFileInfoSearchResult(param_0, param_1, param_2, param_3, param_4);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void setAllocatedProjectAsUnallocated(java.lang.Object param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().setAllocatedProjectAsUnallocated(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void setUnallocatedProjectAsAllocated(java.lang.Object param_0, java.lang.String param_1, int param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().setUnallocatedProjectAsAllocated(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.ProjectAdminInfo getProjectAdminInfo(java.lang.Object param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getProjectAdminInfo(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAreaReserved() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().isAreaReserved();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void writeObject(java.lang.Object param_0, java.lang.String[] param_1, java.lang.Object param_2) throws java.lang.Exception, java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().writeObject(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.lang.Object readObject(java.lang.Object param_0, java.lang.String[] param_1) throws java.lang.Exception, java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().readObject(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void createDirectory(java.lang.Object param_0, java.lang.String[] param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().createDirectory(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void createDirectory(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().createDirectory(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public long fileSize(java.lang.Object param_0, java.lang.String[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().fileSize(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.ClientProjectFile getChild(csbase.logic.ClientProjectFile param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getChild(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.ClientProjectFile[] getChildren(csbase.logic.ClientProjectFile param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().getChildren(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void notifyObservers(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().notifyObservers(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    ProjectService.getInstance().deleteObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean hasChanged() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().hasChanged();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int countObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectService.getInstance().countObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}