/*
 * ServerProjectException.java
 *
 * $Author: cassino $
 * $Revision: 33587 $  - $Date: 2004-04-15 11:21:24 -0300 (Thu, 15 Apr 2004) $
 */
package csbase.server.services.projectservice;

/**
 * A classe <code>ServerProjectException</code> representa uma exceo de um
 * projeto no servidor SSI, relacionado ao servio de projetos
 * (<code>ServerProject</code>).
 *
 * @version $Revision: 33587 $
 */
public class ServerProjectException extends Exception {
  /**
   * Retorna a mensagem que descreve a exceo. No caso de haver uma causa, a
   * mensagem tambm descreve a causa.
   *
   * @return .
   */
  public String getMessage() {
    Throwable cause = getCause();
    if (cause != null) {
      return super.getMessage() + " : " + cause.getMessage();
    }
    return super.getMessage();
  }

  /**
   * Constri uma exceo contendo a descrio do erro ocorrido,
   *
   * @param message a descrio do erro
   */
  public ServerProjectException(String message) {
    super(message);
  }

  /**
   * Constri uma exceo contendo a causa/exceo original
   *
   * @param exception a exceo original
   */
  public ServerProjectException(Throwable exception) {
    super(exception);
  }

  /**
   * Constri uma exceo contendo a descrio do erro e a causa/exceo
   * original
   *
   * @param message a descrio do erro
   * @param exception a exceo original
   */
  public ServerProjectException(String message, Throwable exception) {
    super(message, exception);
  }
}
