/*
 * ServerProjectException.java
 *
 * $Author: cassino $
 * $Revision: 33587 $  - $Date: 2004-04-15 11:21:24 -0300 (Thu, 15 Apr 2004) $
 */
package csbase.server.services.projectservice;

/**
 * A classe <code>ServerProjectFileException</code> representa uma exceo de
 * um projeto no servidor SSI, relacionado ao servio de projetos
 * (<code>ServerProject</code>).
 *
 * @version $Revision: 33587 $
 */
public class ServerProjectFileException extends Exception {
  /**
   * Constri uma exceo contendo a descrio do erro ocorrido,
   *
   * @param message a descrio do erro
   */
  public ServerProjectFileException(String message) {
    super(message);
  }

  /**
   * Constri uma exceo contendo a causa/exceo original
   *
   * @param exception a exceo original
   */
  public ServerProjectFileException(Throwable exception) {
    super(exception);
  }

  /**
   * Constri uma exceo contendo a descrio do erro e a causa/exceo
   * original
   *
   * @param message a descrio do erro
   * @param exception a exceo original
   */
  public ServerProjectFileException(String message, Throwable exception) {
    super(message, exception);
  }
}
