/*
 * Detalhes da ltima alterao:
 * 
 * $Author: rodrigoh $
 * $Date$
 * $Revision: 85497 $
 */
package csbase.server.services.projectservice;

import java.io.Serializable;

/**
 * Representa um servio que sabe agendar atualizaes de arquivos.
 * 
 * @author Tecgraf/PUC-Rio
 */
public interface UpdaterService {
  /**
   * Inicia ou altera o intervalo de atualizao de um arquivo.
   * 
   * @param path O caminho para o arquivo cuja atualizao foi solicitada,
   *        relativo ao projeto.
   * @param userData Dados necessrios  atualizao do arquivo.
   * @param interval O intervalo (em segundos) de atualizao do arquivo.
   * 
   * @return {@code true} caso a atualizao seja iniciada, ou {@code false},
   *         caso contrrio.
   */
  boolean startUpdate(String[] path, Serializable userData, long interval);

  /**
   * Pra a atualizao de um arquivo.
   * 
   * @param path O caminho para o arquivo cuja atualizao foi solicitada,
   *        relativo ao projeto.
   * @param userData Dados necessrios  atualizao do arquivo.
   * 
   * @return {@code true} caso a atualizao seja terminada, ou {@code false},
   *         caso contrrio.
   */
  boolean stopUpdate(String[] path, Serializable userData);
}