package csbase.server.services.projectsynchronizationservice;

import csbase.logic.ProjectSynchronizationListProjects;
import csbase.remote.ProjectSynchronizationServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class ProjectSynchronizationServiceProxy extends csbase.server.ServiceProxy implements ProjectSynchronizationServiceInterface {

public ProjectSynchronizationServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public csbase.logic.ProjectSynchronizationData buildTransferMaps(csbase.logic.ProjectSynchronizationData param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectSynchronizationService.getInstance().buildTransferMaps(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public ProjectSynchronizationListProjects buildListProjects(csbase.logic.ProjectSynchronizationData param_0) throws java.rmi.RemoteException {
	  try {
	    Service.setKey(this.key);
	    return ProjectSynchronizationService.getInstance().buildListProjects(param_0);
	  } catch (ServiceFailureException fe) {
	    logException(SERVICE_NAME,fe);
	    throw new ServiceFailureException(fe.getClientMessage());
	  } catch (CSBaseRuntimeException re) {
	    throw re;
	  } catch (Throwable t) {
	    logException(SERVICE_NAME,t);
	    throw new BugException();
	  }
	}

public csbase.logic.ProjectSynchronizationResult synchronizeProjects(csbase.logic.ProjectSynchronizationData param_0, csbase.remote.ProjectSynchronizationMonitor param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectSynchronizationService.getInstance().synchronizeProjects(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return ProjectSynchronizationService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}