package csbase.server.services.schedulerservice;

import csbase.remote.SchedulerServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class SchedulerServiceProxy extends csbase.server.ServiceProxy implements SchedulerServiceInterface {

public SchedulerServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public java.util.Set<csbase.logic.CommandInfo> submitCommand(csbase.logic.CommandSubmission param_0, csbase.remote.RemoteObserver[] param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().submitCommand(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public java.util.Set<csbase.logic.CommandInfo> submitCommand(csbase.logic.CommandSubmission param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().submitCommand(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void updateCommandDescription(java.lang.String param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    SchedulerService.getInstance().updateCommandDescription(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean removeCommand(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().removeCommand(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.CommandInfo[] getQueuedCommands() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().getQueuedCommands();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void setBlocked(boolean param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    SchedulerService.getInstance().setBlocked(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean setPriority(java.lang.Object param_0, csbase.logic.Priority param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().setPriority(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean setPosition(java.lang.Object param_0, int param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().setPosition(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isBlocked() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().isBlocked();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void addObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    SchedulerService.getInstance().addObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean deleteObserver(csbase.remote.RemoteObserver param_0, java.lang.Object param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().deleteObserver(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void notifyObservers(java.lang.Object param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    SchedulerService.getInstance().notifyObservers(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void deleteObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    SchedulerService.getInstance().deleteObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean hasChanged() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().hasChanged();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int countObservers() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SchedulerService.getInstance().countObservers();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}