package csbase.server.services.sharedobjectservice;

import csbase.exception.BugException;
import csbase.exception.CSBaseRuntimeException;
import csbase.exception.ServiceFailureException;
import csbase.remote.SharedObjectServiceInterface;
import csbase.server.Service;

public class SharedObjectServiceProxy extends csbase.server.ServiceProxy implements SharedObjectServiceInterface {

public SharedObjectServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public csbase.logic.SharedObject saveSharedObject(csbase.logic.SharedObject param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SharedObjectService.getInstance().saveSharedObject(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public void removeSharedObject(java.lang.String param_0, java.lang.String param_1) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    SharedObjectService.getInstance().removeSharedObject(param_0, param_1);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.SharedObject[] getSharedObjectAttributes(java.lang.String param_0) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SharedObjectService.getInstance().getSharedObjectAttributes(param_0);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public csbase.logic.SharedObject getSharedObject(java.lang.String param_0, java.lang.Object param_1, java.lang.String param_2) throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SharedObjectService.getInstance().getSharedObject(param_0, param_1, param_2);
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return SharedObjectService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}