package csbase.server.services.wioservice;

import csbase.remote.WIOServiceInterface;

import csbase.server.Service;
import csbase.exception.*;

public class WIOServiceProxy extends csbase.server.ServiceProxy implements WIOServiceInterface {

public WIOServiceProxy(java.lang.Object param_0) throws java.rmi.RemoteException {
  super(param_0);
}

public java.lang.String getServerPort() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return WIOService.getInstance().getServerPort();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int getNumOpenedFiles() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return WIOService.getInstance().getNumOpenedFiles();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int getMaxOpenedFiles() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return WIOService.getInstance().getMaxOpenedFiles();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int getNumOpenedProjects() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return WIOService.getInstance().getNumOpenedProjects();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public int getMaxOpenedProjects() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return WIOService.getInstance().getMaxOpenedProjects();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}

public boolean isAlive() throws java.rmi.RemoteException {
  try {
    Service.setKey(this.key);
    return WIOService.getInstance().isAlive();
  } catch (ServiceFailureException fe) {
    logException(SERVICE_NAME,fe);
    throw new ServiceFailureException(fe.getClientMessage());
  } catch (CSBaseRuntimeException re) {
    throw re;
  } catch (Throwable t) {
    logException(SERVICE_NAME,t);
    throw new BugException();
  }
}
}