package csbase.client.algorithms.parameters;

import java.util.Locale;

import javax.swing.JFrame;
import javax.swing.WindowConstants;

import tecgraf.javautils.LNG;
import tecgraf.javautils.gui.GUIUtils;
import csbase.client.algorithms.AlgorithmConfiguratorView;
import csbase.client.algorithms.AlgorithmConfiguratorViewListener;
import csbase.client.algorithms.parameters.ParameterView.Mode;
import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.SimpleAlgorithmConfigurator;

public final class SimpleAlgorithmConfiguratorViewTester {
  private JFrame testFrame;
  private SimpleAlgorithmConfigurator configurator;

  static {
    Locale locale = new Locale("pt", "BR");
    LNG.load("csbase.client.resources.properties.language.idiom", locale);
    LNG.load("resources.language.idiom", locale);
  }

  public SimpleAlgorithmConfiguratorViewTester(
    SimpleAlgorithmConfigurator configurator) {
    if (configurator == null) {
      throw new IllegalArgumentException("O parmetro configurator est nulo.");
    }
    this.configurator = configurator;
    this.testFrame = new JFrame("Teste de visualizao de parmetros");
    this.testFrame.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    this.testFrame.setSize(800, 600);
    GUIUtils.centerOnScreen(this.testFrame);
    this.testFrame.setVisible(true);
  }

  public void test() throws ClientException {
    SimpleAlgorithmConfiguratorView view =
      new SimpleAlgorithmConfiguratorView(this.testFrame, this.configurator,
        Mode.CONFIGURATION);
    view
      .addAlgorithmConfiguratorViewListener(new AlgorithmConfiguratorViewListener() {

        public void wasConfirmed(AlgorithmConfiguratorView view) {
          System.out.println("wasConfirmed " + view.getConfigurator());
        }

        public void wasCancelled(AlgorithmConfiguratorView view) {
          System.out.println("wasCancelled " + view.getConfigurator());
        }

      });
    view.launch();
  }
}
