package csbase.client.algorithms.parameters;

import java.util.Arrays;

import csbase.client.kernel.ClientException;
import csbase.logic.algorithms.parameters.BooleanColumn;
import csbase.logic.algorithms.parameters.Column;
import csbase.logic.algorithms.parameters.DoubleColumn;
import csbase.logic.algorithms.parameters.IntegerColumn;
import csbase.logic.algorithms.parameters.TableParameter;
import csbase.logic.algorithms.parameters.TextColumn;

public final class TableParameterViewTest {
  public static void main(String[] args) throws ClientException {
    TextColumn textColumn1 =
      new TextColumn("TXT1", "Coluna de texto 1", "PADRAO", false, true, 10);
    for (int i = 0; i < 20; i++) {
      textColumn1.addDefaultValue(i, "VALOR_" + i);
    }
    DoubleColumn doubleColumn1 =
      new DoubleColumn("Double1", "Coluna de reais 1", 0.0, false, true, 100.0,
        true, -100.0, true);
    IntegerColumn integerColumn1 =
      new IntegerColumn("Integer1", "Coluna de integer 1", 0, false, true, 100,
        -100);
    BooleanColumn booleanColumn1 =
      new BooleanColumn("Boolean1", "Coluna de booleanos 1", true, true,
        "FALSO", "VERDADEIRO");
    TextColumn textColumn2 =
      new TextColumn("TXT2", "Coluna de texto 2", "PADRAO", false, false, 10);
    DoubleColumn doubleColumn2 =
      new DoubleColumn("Double2", "Coluna2 de reais 2", 0.0, false, false,
        100.0, true, -100.0, true);
    IntegerColumn integerColumn2 =
      new IntegerColumn("Integer2", "Coluna de integer 2", 0, false, false,
        100, -100);
    BooleanColumn booleanColumn2 =
      new BooleanColumn("Boolean2", "Coluna de booleanos 2", true, false,
        "FALSO", "VERDADEIRO");
    TableParameter parameter =
      new TableParameter("TAB", "Tabela",
        "Parmetro do tipo tabela.\nObrigatrio.\n"
          + "Mximos: 100\n.Mnimos: -100.\nMximo de caracteres: 10.", false,
        "{0}={1}", Arrays.<Column<?>> asList(textColumn1, doubleColumn1,
          integerColumn1, booleanColumn1, textColumn2, doubleColumn2,
          integerColumn2, booleanColumn2), true, true, null, null);
    ParameterViewTester tester = new ParameterViewTester(parameter);
    tester.test();
  }
}
