package csbase.client.algorithms.parameters.validators;

import csbase.client.algorithms.parameters.validators.ValidationResult;
import junit.framework.TestCase;

public final class ValidationResultTest extends TestCase {
  public void testValidationResultParameter1() {
    ValidationResult result = new ValidationResult();
    assertNull(result.getErrorMessage());
  }

  public void testValidationResultParameter2() {
    String errorMessage = "Mensagem de erro.";
    ValidationResult result = new ValidationResult(errorMessage);
    assertEquals(errorMessage, result.getErrorMessage());
  }

  public void testValidationResultParameter3() {
    try {
      new ValidationResult(null);
      fail("Esperada IllegalArgumentException");
    }
    catch (IllegalArgumentException e) {}
  }

  public void testIsWellSucceded1() {
    ValidationResult result = new ValidationResult();
    assertTrue(result.isWellSucceded());
  }

  public void testIsWellSucceded2() {
    String errorMessage = "Mensagem de erro.";
    ValidationResult result = new ValidationResult(errorMessage);
    assertFalse(result.isWellSucceded());
  }
}
