package csbase.logic.algorithms.flows;

import java.util.HashSet;
import java.util.Set;

import csbase.logic.algorithms.AlgorithmVersionId;

import junit.framework.TestCase;

public final class FlowNodeTest extends TestCase {

  public void testEquals1() {
    int id = 1;
    String algorithmName1 = "Nome do algoritmo 1";
    AlgorithmVersionId algorithmVersionId1 = new AlgorithmVersionId(12, 13, 14);
    Set<NodeParameter> parameters1 = new HashSet<NodeParameter>();
    parameters1.add(new NodeParameter("nome do parmetro 1",
      "rtulo do parmetro 1", "tipo do parmetro 1", "valor do parmetro 1"));
    int x1 = 11;
    int y1 = 12;
    int width1 = 13;
    int height1 = 14;
    FlowNode flowNode1 = new FlowNode(id, algorithmName1, algorithmVersionId1,
      parameters1, x1, y1, width1, height1);
    String algorithmName2 = "Nome do algoritmo 2";
    AlgorithmVersionId algorithmVersionId2 = new AlgorithmVersionId(22, 23, 24);
    Set<NodeParameter> parameters2 = new HashSet<NodeParameter>();
    parameters2.add(new NodeParameter("nome do parmetro 2",
      "rtulo do parmetro 2", "tipo do parmetro 2", "valor do parmetro 2"));
    int x2 = 21;
    int y2 = 22;
    int width2 = 23;
    int height2 = 24;
    FlowNode flowNode2 = new FlowNode(id, algorithmName2, algorithmVersionId2,
      parameters2, x2, y2, width2, height2);
    assertTrue(flowNode1.equals(flowNode2));
  }

  public void testEquals2() {
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    parameters.add(new NodeParameter("nome do parmetro",
      "rtulo do parmetro", "tipo do parmetro", "valor do parmetro"));
    int x = 1;
    int y = 2;
    int width = 3;
    int height = 4;
    int id1 = 1;
    FlowNode flowNode1 = new FlowNode(id1, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    int id2 = 2;
    FlowNode flowNode2 = new FlowNode(id2, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    assertFalse(flowNode1.equals(flowNode2));
  }

  public void testEquals3() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    parameters.add(new NodeParameter("nome do parmetro",
      "rtulo do parmetro", "tipo do parmetro", "valor do parmetro"));
    int x = 1;
    int y = 2;
    int width = 3;
    int height = 4;
    FlowNode flowNode = new FlowNode(id, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    assertFalse(flowNode.equals(null));
  }

  public void testEquals4() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    parameters.add(new NodeParameter("nome do parmetro",
      "rtulo do parmetro", "tipo do parmetro", "valor do parmetro"));
    int x = 1;
    int y = 2;
    int width = 3;
    int height = 4;
    FlowNode flowNode = new FlowNode(id, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    assertFalse(flowNode.equals("Objeto de outra classe"));
  }

  public void testFlowNode01() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    parameters.add(new NodeParameter("nome do parmetro",
      "rtulo do parmetro", "tipo do parmetro", "valor do parmetro"));
    int x = 1;
    int y = 2;
    int width = 3;
    int height = 4;
    FlowNode flowNode = new FlowNode(id, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    assertEquals(id, flowNode.getId());
    assertEquals(algorithmName, flowNode.getAlgorithmName());
    assertEquals(algorithmVersionId, flowNode.getAlgorithmVersionId());
    assertNotSame(parameters, flowNode.getParameters());
    assertEquals(parameters, flowNode.getParameters());
    assertEquals(x, flowNode.getX());
    assertEquals(y, flowNode.getY());
    assertEquals(width, flowNode.getWidth());
    assertEquals(height, flowNode.getHeight());
  }

  public void testFlowNode03() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    parameters.add(new NodeParameter("nome do parmetro",
      "rtulo do parmetro", "tipo do parmetro", "valor do parmetro"));
    int x = 5;
    int y = 6;
    int width = 7;
    int height = 8;
    FlowNode flowNode = new FlowNode(id, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    assertEquals(id, flowNode.getId());
    assertEquals(algorithmName, flowNode.getAlgorithmName());
    assertEquals(algorithmVersionId, flowNode.getAlgorithmVersionId());
    assertNotSame(parameters, flowNode.getParameters());
    assertEquals(parameters, flowNode.getParameters());
    assertEquals(x, flowNode.getX());
    assertEquals(y, flowNode.getY());
    assertEquals(width, flowNode.getWidth());
    assertEquals(height, flowNode.getHeight());
  }

  public void testFlowNode04() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    int x = 5;
    int y = 6;
    int width = 7;
    int height = 8;
    FlowNode flowNode = new FlowNode(id, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    assertEquals(id, flowNode.getId());
    assertEquals(algorithmName, flowNode.getAlgorithmName());
    assertEquals(algorithmVersionId, flowNode.getAlgorithmVersionId());
    assertNotSame(parameters, flowNode.getParameters());
    assertEquals(parameters, flowNode.getParameters());
    assertEquals(x, flowNode.getX());
    assertEquals(y, flowNode.getY());
    assertEquals(width, flowNode.getWidth());
    assertEquals(height, flowNode.getHeight());
  }

  public void testFlowNode08() {
    int id = 1;
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    int x = 5;
    int y = 6;
    int width = 7;
    int height = 8;
    try {
      new FlowNode(id, null, algorithmVersionId, parameters, x, y, width,
        height);
      fail(IllegalArgumentException.class.getName());
    } catch (IllegalArgumentException e) {
    }

  }

  public void testFlowNode09() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    int x = 5;
    int y = 6;
    int width = 7;
    int height = 8;
    try {
      new FlowNode(id, algorithmName, null, parameters, x, y, width, height);
      fail(IllegalArgumentException.class.getName());
    } catch (IllegalArgumentException e) {
    }
  }

  public void testFlowNode10() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    int x = 5;
    int y = 6;
    int width = 7;
    int height = 8;
    try {
      new FlowNode(id, algorithmName, algorithmVersionId, null, x, y, width,
        height);
      fail(IllegalArgumentException.class.getName());
    } catch (IllegalArgumentException e) {
    }
  }

  public void testFlowNode11() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    int x = 5;
    int y = 6;
    int width = -7;
    int height = 8;
    try {
      new FlowNode(id, algorithmName, algorithmVersionId, parameters, x, y,
        width, height);
      fail(IllegalArgumentException.class.getName());
    } catch (IllegalArgumentException e) {
    }
  }

  public void testFlowNode12() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    int x = 5;
    int y = 6;
    int width = 7;
    int height = -8;
    try {
      new FlowNode(id, algorithmName, algorithmVersionId, parameters, x, y,
        width, height);
      fail(IllegalArgumentException.class.getName());
    } catch (IllegalArgumentException e) {
    }
  }

  public void testGetParameters1() {
    int id = 1;
    String algorithmName = "Nome do algoritmo";
    AlgorithmVersionId algorithmVersionId = new AlgorithmVersionId(2, 3, 4);
    Set<NodeParameter> parameters = new HashSet<NodeParameter>();
    parameters.add(new NodeParameter("nome do parmetro",
      "rtulo do parmetro", "tipo do parmetro", "valor do parmetro"));
    int x = 1;
    int y = 2;
    int width = 3;
    int height = 4;
    FlowNode flowNode = new FlowNode(id, algorithmName, algorithmVersionId,
      parameters, x, y, width, height);
    try {
      flowNode.getParameters().clear();
    } catch (UnsupportedOperationException e) {

    }
    assertFalse(flowNode.getParameters().isEmpty());
  }

  public void testHashCode1() {
    int id = 1;
    String algorithmName1 = "Nome do algoritmo 1";
    AlgorithmVersionId algorithmVersionId1 = new AlgorithmVersionId(12, 13, 14);
    Set<NodeParameter> parameters1 = new HashSet<NodeParameter>();
    parameters1.add(new NodeParameter("nome do parmetro 1",
      "rtulo do parmetro 1", "tipo do parmetro 1", "valor do parmetro 1"));
    int x1 = 11;
    int y1 = 12;
    int width1 = 13;
    int height1 = 14;
    FlowNode flowNode1 = new FlowNode(id, algorithmName1, algorithmVersionId1,
      parameters1, x1, y1, width1, height1);
    String algorithmName2 = "Nome do algoritmo 2";
    AlgorithmVersionId algorithmVersionId2 = new AlgorithmVersionId(22, 23, 24);
    Set<NodeParameter> parameters2 = new HashSet<NodeParameter>();
    parameters2.add(new NodeParameter("nome do parmetro 2",
      "rtulo do parmetro 2", "tipo do parmetro 2", "valor do parmetro 2"));
    int x2 = 21;
    int y2 = 22;
    int width2 = 23;
    int height2 = 24;
    FlowNode flowNode2 = new FlowNode(id, algorithmName2, algorithmVersionId2,
      parameters2, x2, y2, width2, height2);
    assertEquals(flowNode1.hashCode(), flowNode2.hashCode());
  }

}
