package csbase.logic.algorithms.parameters;

import java.util.LinkedList;
import java.util.List;

import junit.framework.Assert;

public final class CheckListExpressionFunction extends ListExpressionFunction {

  private boolean canDoOperation;
  private Object[] expectedArguments;
  private List<Object> expectedValues;
  private Object expectedResult;
  private boolean wasDoneOperation;
  
  public CheckListExpressionFunction(String name, Class... parameterTypes) {
    super(name, parameterTypes);
  }

  public void setExpected(List<Object> expectedValues,
                          Object[] expectedArguments, Object expectedResult) {
    if (expectedValues == null) {
      throw new IllegalArgumentException(
        "O parmetro expectedValues est nulo.");
    }

    if (expectedArguments == null) {
      throw new IllegalArgumentException(
        "O parmetro expectedArguments est nulo.");
    }

    this.expectedValues = new LinkedList<Object>(expectedValues);
    this.expectedArguments = new Object[expectedArguments.length];
    System.arraycopy(expectedArguments, 0, this.expectedArguments, 0,
      expectedArguments.length);
    this.expectedResult = expectedResult;
    this.canDoOperation = true;
  }

  @Override
  protected Object doOperation(List<Object> values, Object... arguments) {
    Assert.assertTrue(this.canDoOperation);
    Assert.assertEquals(this.expectedValues, values);
    Assert.assertNotNull(arguments);
    Assert.assertEquals(this.expectedArguments.length, arguments.length);
    for (int i = 0; i < this.expectedArguments.length; i++) {
      Assert.assertEquals(this.expectedArguments[i], arguments[i]);
    }
    this.wasDoneOperation = true;
    return this.expectedResult;
  }

  public boolean wasDoneOperation() {
    return this.wasDoneOperation;
  }
  
  
}
