package csbase.logic.algorithms.parameters;

import junit.framework.Assert;

public final class CheckTableParameterListener implements
  TableParameterListener {
  private boolean createRowIsAllowed;
  private boolean removeRowIsAllowed;
  private int howManyEventsOccurred;

  public CheckTableParameterListener() {
    this.createRowIsAllowed = false;
    this.removeRowIsAllowed = false;
    this.howManyEventsOccurred = 0;
  }

  public void allowCreateRow() {
    this.createRowIsAllowed = true;
  }

  public void allowRemoveRow() {
    this.removeRowIsAllowed = true;
  }

  public final int getHowManyEventsOccurred() {
    return this.howManyEventsOccurred;
  }

  public void rowWasCreated(TableParameter parameter, RowValue rowValue,
    int rowIndex) {
    this.howManyEventsOccurred++;
    Assert.assertTrue(this.createRowIsAllowed);
  }

  public void rowWasRemoved(TableParameter parameter, RowValue rowValue,
    int rowIndex) {
    this.howManyEventsOccurred++;
    Assert.assertTrue(this.removeRowIsAllowed);
  }
}
