/*
 * $Id: OutputFileParameterFactory.java 86801 2008-12-19 16:03:53Z isabella $
 */
package csbase.logic.algorithms.parameters;

import java.util.HashMap;
import java.util.Map;

import csbase.test.util.Pair;

/**
 * Fbrica de {@link OutputFileParameter parmetros do tipo arquivo de sada}.
 */
public final class OutputFileParameterFactory {

  /**
   * <p>
   * O valor-padro para o parmetro {@link #CAN_USE_PIPE_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #CAN_USE_PIPE_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final FileParameterPipeAcceptance CAN_USE_PIPE_PARAMETER_DEFAULT_VALUE =
    FileParameterPipeAcceptance.TRUE;
  /**
   * <p>
   * O parmetro permitir pipe do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #CAN_USE_PIPE_PARAMETER_NAME}.
   * </p>
   */
  public static final String CAN_USE_PIPE_PARAMETER_NAME = "canUsePipe";
  /**
   * <p>
   * O valor-padro para o parmetro
   * {@link #COMMAND_LINE_PATTERN_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #COMMAND_LINE_PATTERN_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final String COMMAND_LINE_PATTERN_PARAMETER_DEFAULT_VALUE =
    "$NOME_DO_PARAMETRO=$VALOR_DO_PARAMETRO";
  /**
   * <p>
   * O parmetro formato da linha de comando do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #COMMAND_LINE_PATTERN_PARAMETER_NAME}.
   * </p>
   */
  public static final String COMMAND_LINE_PATTERN_PARAMETER_NAME =
    "commandLinePattern";
  /**
   * <p>
   * O valor-padro para o parmetro {@link #DESCRIPTION_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #DESCRIPTION_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final String DESCRIPTION_PARAMETER_DEFAULT_VALUE =
    "Informe o arquivo de sada.";
  /**
   * <p>
   * O parmetro descrio do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #DESCRIPTION_PARAMETER_NAME}.
   * </p>
   */
  public static final String DESCRIPTION_PARAMETER_NAME = "description";
  /**
   * <p>
   * O valor-padro para o parmetro {@link #FILE_TYPE_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #FILE_TYPE_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final String FILE_TYPE_PARAMETER_DEFAULT_VALUE = null;
  /**
   * <p>
   * O parmetro tipo de arquivo do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #FILE_TYPE_PARAMETER_NAME}.
   * </p>
   */
  public static final String FILE_TYPE_PARAMETER_NAME = "fileType";
  /**
   * <p>
   * O valor-padro para o parmetro {@link #IS_OPTIONAL_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #IS_OPTIONAL_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final boolean IS_OPTIONAL_PARAMETER_DEFAULT_VALUE = false;
  /**
   * <p>
   * O parmetro  opcional do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #IS_OPTIONAL_PARAMETER_NAME}.
   * </p>
   */
  public static final String IS_OPTIONAL_PARAMETER_NAME = "isOptional";
  /**
   * <p>
   * O valor-padro para o parmetro {@link #CAN_USE_PIPE_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #LABEL_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final String LABEL_PARAMETER_DEFAULT_VALUE = "Arquivo de Sada";
  /**
   * <p>
   * O parmetro rtulo do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #LABEL_PARAMETER_NAME}.
   * </p>
   */
  public static final String LABEL_PARAMETER_NAME = "label";
  /**
   * <p>
   * O valor-padro para o parmetro {@link #MODE_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #MODE_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final FileParameterMode MODE_PARAMETER_DEFAULT_VALUE =
    FileParameterMode.REGULAR_FILE;
  /**
   * <p>
   * O parmetro modo do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #MODE_PARAMETER_NAME}.
   * </p>
   */
  public static final String MODE_PARAMETER_NAME = "mode";
  /**
   * <p>
   * O valor-padro para o parmetro
   * {@link #MUST_FORCE_EXTENSION_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #MUST_FORCE_EXTENSION_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final boolean MUST_FORCE_EXTENSION_PARAMETER_DEFAULT_VALUE =
    false;
  /**
   * <p>
   * O parmetro forar extenso do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #MUST_FORCE_EXTENSION_PARAMETER_NAME}.
   * </p>
   */
  public static final String MUST_FORCE_EXTENSION_PARAMETER_NAME =
    "mustForceExtension";
  /**
   * <p>
   * O valor-padro para o parmetro {@link #NAME_PARAMETER_NAME}.
   * </p>
   * <p>
   * O seu valor  {@value #NAME_PARAMETER_DEFAULT_VALUE}.
   * </p>
   */
  public static final String NAME_PARAMETER_DEFAULT_VALUE =
    "NOME_DO_ARQUIVO_DE_SAIDA";
  /**
   * <p>
   * O parmetro nome do construtor
   * {@link OutputFileParameter#OutputFileParameter(String, String, String, boolean, String, String, Mode, boolean, boolean)}
   * .
   * </p>
   * <p>
   * O seu valor  {@value #NAME_PARAMETER_NAME}.
   * </p>
   */
  public static final String NAME_PARAMETER_NAME = "name";

  /**
   * Cria um parmetro do tipo de arquivo de sada.
   * 
   * @param parameters O mapa de parmetros (no aceita {@code null}).
   * 
   * @return O parmetro do tipo de arquivo de sada.
   */
  public static OutputFileParameter create(Pair... parameters) {
    if (parameters == null) {
      throw new IllegalArgumentException("parameters == null");
    }
    Map<String, Object> parametersByName = new HashMap<String, Object>();
    for (Pair parameter : parameters) {
      String parameterName = (String) parameter.getKey();
      Object parameterValue = parameter.getValue();
      parametersByName.put(parameterName, parameterValue);
    }
    String name =
      extractValue(parametersByName, NAME_PARAMETER_NAME,
        NAME_PARAMETER_DEFAULT_VALUE);
    String label =
      extractValue(parametersByName, LABEL_PARAMETER_NAME,
        LABEL_PARAMETER_DEFAULT_VALUE);
    String description =
      extractValue(parametersByName, DESCRIPTION_PARAMETER_NAME,
        DESCRIPTION_PARAMETER_DEFAULT_VALUE);
    boolean isOptional =
      extractValue(parametersByName, IS_OPTIONAL_PARAMETER_NAME,
        IS_OPTIONAL_PARAMETER_DEFAULT_VALUE);
    String commandLinePattern =
      extractValue(parametersByName, COMMAND_LINE_PATTERN_PARAMETER_NAME,
        COMMAND_LINE_PATTERN_PARAMETER_DEFAULT_VALUE);
    String type =
      extractValue(parametersByName, FILE_TYPE_PARAMETER_NAME,
        FILE_TYPE_PARAMETER_DEFAULT_VALUE);
    FileParameterMode mode =
      extractValue(parametersByName, MODE_PARAMETER_NAME,
        MODE_PARAMETER_DEFAULT_VALUE);
    FileParameterPipeAcceptance canUsePipe =
      extractValue(parametersByName, CAN_USE_PIPE_PARAMETER_NAME,
        CAN_USE_PIPE_PARAMETER_DEFAULT_VALUE);
    boolean mustForceExtension =
      extractValue(parametersByName, MUST_FORCE_EXTENSION_PARAMETER_NAME,
        MUST_FORCE_EXTENSION_PARAMETER_DEFAULT_VALUE);
    if (!parametersByName.isEmpty()) {
      throw new IllegalArgumentException("Parmetros invlidos: "
        + parametersByName);
    }
    return new OutputFileParameter(name, label, description, isOptional,
      commandLinePattern, type, mode, canUsePipe, mustForceExtension);
  }

  /**
   * Extrai o valor do parmetro.
   * 
   * @param <V> O tipo do valor.
   * @param parametersByName O mapa de parmetros indexado pelo nome do
   *        parmetro (no aceita {@code null}).
   * @param name O nome do parmetor (no aceita {@code null}).
   * @param defaultValue O valor-padro (aceita {@code null}).
   * 
   * @return Ou o valor indexado pelo nome, ou o valor-padro.
   */
  private static <V> V extractValue(Map<String, Object> parametersByName,
    String name, V defaultValue) {
    if (parametersByName.containsKey(name)) {
      return (V) parametersByName.remove(name);
    }
    return defaultValue;
  }
}
