/*
 * $Id: MockCategoryParser.java 71901 2008-01-08 13:32:46Z lmoreira $
 */
package csbase.logic.algorithms.parsers;

import java.util.HashMap;
import java.util.Map;

import csbase.logic.algorithms.AlgorithmInfo;

/**
 * Mock para a classe {@link CategoryParser}.
 */
public final class MockCategoryParser extends CategoryParser {
  /**
   * O mapa de algoritmos indexado pelo identificador do algoritmo.
   */
  private Map<String, AlgorithmInfo> algorithmsById;
  
  /**
   * Cria o parser.
   * 
   * @param algorithms Os algoritmos.
   */
  public MockCategoryParser(AlgorithmInfo... algorithms) {
    algorithmsById = new HashMap<String, AlgorithmInfo>();
    for (AlgorithmInfo algorithm : algorithms) {
      algorithmsById.put(algorithm.getId(), algorithm);
    }
  }
  
  @Override
  protected AlgorithmInfo getAlgorithmById(String algorithmId) {
    return algorithmsById.get(algorithmId);
  }
}
