/*
 * $Id$
 */
package csbase.test.unit.service;

import junit.framework.*;
import junit.framework.TestCase;

/**
 * Esta classe representa um caso de testes no Framework CSBase.
 */
public abstract class CSBaseTestCase extends TestCase {

  /**
   * Construtor.
   * 
   * @param name nome para o mtodo de teste.
   */
  public CSBaseTestCase(String name) {
    super(name);
  }

  /**
   * Construtor.
   */
  public CSBaseTestCase() {
    super();
  }

  /**
   * Retorna a coleo dos testes para o junit executar. As classes que estem
   * esta, devem se adicionar ao suite. Por exemplo: TestSuite suite = new
   * TestSuite(); suite.addTestSuite(this.getClass()); return new
   * CSBaseTestSetup(suite);
   * 
   * @return a coleo dos testes
   */
  public abstract Test suite();

  /**
   * {@inheritDoc}
   */
  public void setUp() throws Exception {
    initService();
  }

  /**
   * Metodo que conter a inicializacao do servico que  singleton. Este metodo
   * precisa lancar uma excecao remote pois o getInstance do servico de login
   * lanca esta excecao.
   * 
   * @throws Exception
   */
  public abstract void initService() throws Exception;
}
