/*
 * $Id: Pair.java 66623 2007-08-21 14:34:57Z lmoreira $
 */
package csbase.test.util;

/**
 * Um par.
 */
public class Pair {

  /**
   * A chave.
   */
  private Object key;
  /**
   * O valor.
   */
  private Object value;

  /**
   * Atribui a chave ao par.
   * 
   * @param key a chave (aceita {@code null}).
   * @param value o valor (aceita {@code null}).
   */
  public Pair(Object key, Object value) {
    setKey(key);
    setValue(value);
  }

  @Override
  public boolean equals(Object obj) {
    if (this == obj) {
      return true;
    }
    if (obj == null) {
      return false;
    }
    if (getClass() != obj.getClass()) {
      return false;
    }
    final Pair other = (Pair) obj;
    if (key == null) {
      if (other.key != null) {
        return false;
      }
    }
    else if (!key.equals(other.key)) {
      return false;
    }
    return true;
  }

  /**
   * Obtm a chave.
   * 
   * @return a chave.
   */
  public Object getKey() {
    return key;
  }

  /**
   * Obtm o valor.
   * 
   * @return o valor.
   */
  public Object getValue() {
    return value;
  }

  @Override
  public int hashCode() {
    return getKey().hashCode();
  }

  @Override
  public String toString() {
    return "{" + getKey() + " = " + getValue() + "}";
  }

  /**
   * Atribui a chave ao par.
   * 
   * @param key a chave (aceita {@code null}).
   */
  private void setKey(Object key) {
    this.key = key;
  }

  /**
   * Atribui o vaor ao par.
   * 
   * @param value o valor (aceita {@code null}).
   */
  private void setValue(Object value) {
    this.value = value;
  }
}
