package csbase.tools;

import csbase.logic.CommonProjectInfo;
import java.io.File;
import java.io.FileOutputStream;
import java.io.ObjectOutputStream;


public class ProjectInfoGenerator {


  static public void main(String[] args) {
     if (args.length < 3) {
        System.out.println("Bad arguments: projectname, userid, filename");
        System.exit(-1);
     }
     final String projName = args[0];
     final String userId = args[1];
     final String fileName = args[2];
     final CommonProjectInfo info = new CommonProjectInfo();
     info.name = projName;
     info.userId = userId;
     try {
       final File file = new File(fileName);
       final FileOutputStream fout = new FileOutputStream(file);
       final ObjectOutputStream out = new ObjectOutputStream(fout);
       out.writeObject(info);
       out.close();
     }
     catch (Exception e) {
        System.out.println("Exception detected!");
        e.printStackTrace();
        System.exit(-2);
     }
  }

}
