package csbase.util.callbak;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface genrica de um objeto remoto usado para callback.<br>
 * Permite a troca de mensagens assncronas entre mtodos. <br>
 * Pode ser usada, por exemplo, na ocorrncia de um evento ou para permitir que um
 * mtodo demorado possa retornar imediatamente enquanto faz o seu processamento
 * em uma thread paralela. Quando este estiver terminado, o resultado ser
 * entregue atravs da callback.
 *
 * @author Tecgraf
 * @param <T> Tipo do objeto entregue a esta callback.
 */
public interface IRemoteCallback<T> extends ICallback<T>, Remote {

  /**
   * {@inheritDoc}
   */
  @Override
  public void call(T value) throws RemoteException;
}
