package csbase.util.parser.actions;

import csbase.util.parser.Session;
import csbase.util.parser.symbols.Symbol;

/**
 *  a ao responsvel por gerar tokens ({@link csbase.util.parser.Token}) na
 * sesso atual ({@link csbase.util.parser.Session}).
 */
public final class GenerateTokenAction implements TransitionAction {
  /** A instncia nica. */
  private static GenerateTokenAction instance;

  /**
   * Construtor definido para impedir a criao de objetos desta classe
   * externamente.
   */
  private GenerateTokenAction() {}

  /**
   * Obtm a instncia nica.
   *
   * @return A instncia nica.
   */
  public static GenerateTokenAction getInstance() {
    if (instance == null) {
      instance = new GenerateTokenAction();
    }
    return instance;
  }

  public void execute(Symbol symbol, Session session) {
    session.generateToken();
  }
}
