package csbase.util.parser.actions;

import csbase.util.parser.Session;
import csbase.util.parser.exception.AutomatonException;

/**
 * Representa uma ao a ser executada pelo autmato finito ({@link
 * csbase.util.parser.FiniteAutomaton}) ao entrar ou sair de um estado ({@link
 * csbase.util.parser.State}).
 */
public interface StateAction {
  /**
   * Executa a ao.
   *
   * @param session A sesso de execuo do autmato.
   *
   * @throws AutomatonException Caso ocorra algum erro durante a execuo da
   *         ao.
   */
  void execute(Session session)
  throws AutomatonException;
}
