package csbase.util.parser.symbols;

/**
 * Representa um caracter que ser usado como smbolo de um autmato finito
 * ({@link csbase.util.parser.FiniteAutomaton}).
 */
public final class CharSymbol implements Symbol {
  /** O objeto que representa o smbolo. */
  private Character symbol;

  /**
   * Cria um smbolo a partir do caracter recebido.
   *
   * @param symbol
   */
  public CharSymbol(char symbol) {
    this.symbol = new Character(symbol);
  }

  public boolean equals(Object obj) {
    if (obj == null) {
      return false;
    }
    if (!this.getClass().equals(obj.getClass())) {
      return false;
    }
    CharSymbol other = (CharSymbol)obj;
    return this.symbol.equals(other.symbol);
  }

  public int hashCode() {
    return this.symbol.hashCode();
  }

  public int compareTo(Object o) {
    CharSymbol other = (CharSymbol)o;
    return this.symbol.compareTo(other.symbol);
  }

  public String toString() {
    return this.symbol.toString();
  }

  /**
   * Obtm o objeto que o smbolo representa. O objeto ser sempre do tipo
   * {@link Character}.
   *
   * @see csbase.util.parser.symbols.Symbol#getObject()
   */
  public Object getObject() {
    return this.symbol;
  }
}
