/*
 * $Id$
 */
package csgrid.test.unit.service.othervm;

import java.io.File;

import junit.framework.Test;
import csbase.test.unit.TestConfig;
import csbase.test.unit.service.othervm.CSBaseTestSetupOVM;

/**
 * Esta classe estende a <code>CSBaseTestSetupOVM</code> e  responsvel
 * pela inicializao do ambiente de testes em duas mquinas virtuais:
 * uma para o cliente e outra para o servidor.
 */
public class CSGridTestSetupOVM extends CSBaseTestSetupOVM {

  /**
   * Construtor.
   * 
   * @param test um test case ou um test suite
   */
  public CSGridTestSetupOVM(Test test) {
    super(test);
  }

  /**
   * Mtodo que cria e retorna o comando que executar um servidor do CSBase
   * definido especificamente para testes dos servios do CSBase.
   * 
   * @return o comando de execuo do servidor
   */
  public String defineCommandLine() {
    String serverParams = " -server -Xmx512m "
      + "-Djava.util.logging.manager=csbase.server.ServiceLogManager "
      + "-Djava.util.logging.config.file=properties/Logging.properties ";

    String systemDir = TestConfig.getProperty("system.dir", ".");
    String csbaseDir = TestConfig.getProperty("csbase.dir", "../csbase");
    
    String systemLibsDir = systemDir + File.separator + "libs" + File.separator;
    String csbaseLibsDir = csbaseDir + File.separator + "libs" + File.separator;

    String runServerCommand = "java " + serverParams + " -classpath ."
      + File.pathSeparatorChar + ".." + File.pathSeparatorChar + csbaseDir
      + File.pathSeparatorChar + getJarFiles(systemLibsDir)
      + File.pathSeparatorChar + getJarFiles(csbaseLibsDir)
      + " csgrid.test.unit.service.CSGridTestSetup ";

    System.out.println("Comando montado: " + runServerCommand);

    return runServerCommand;
  }
}
