-- $Id: csprops.lua 34492 2004-08-24 16:45:42Z costa $

require "csglobal"

local _propsDir = "./properties"

local Properties = Module:new {
    actionInfo = "properties",
    info = "configuracoes de propriedades",
    params = "",
    provides = MODULE.PROPERTIES,
    requires = {},
}

cs_registerModule(Properties)

function Properties:check ()
    return false
end

function Properties:help ()
    print([[
    
Properties:
----------  
[texto]     : exibe apenas linhas com o texto especificado
]]) 
end

function _getProps (arq)
    local content = io.open(_propsDir.."/"..arq, "r"):read("*a")
    return coroutine.wrap(function ()
        for descr, prop in string.gfind(content, "#DESCR#(.-)\n(.-)\n") do
            coroutine.yield(descr, prop)
        end
    end)
end

function Properties:execute(args, params)
    abort(isDir(_propsDir), "diretorio ".._propsDir.." nao existe")

    params = string.concat(params, self.params)
    self.getopt:parse(args, params)

    local grepString = self.getopt:arg(2)
    local lgrepString
    if grepString then
        cs_log:info("filtrando por '"..grepString.."'")
        lcGrepString = string.lower(grepString)
    end

    local blackList = { ["CVS"] = true, ["."] = true, [".."] = true }
    print()
    for f in fileList(_propsDir, blackList) do
        cs_log:debug(f)
        local lcDescr, show
        for descr, prop in _getProps(f) do
            show = true
            if grepString then
                lcText = string.lower(descr.." "..prop)
                show = (string.find(lcText, lcGrepString) ~= nil)
            end
            if show then
                print(string.format("* %s [ %s ]\n%s\n", descr, f, prop))
            end
        end
    end
end
