-- $Id: csserver.lua 34388 2004-08-10 17:47:45Z costa $

require "oo"
require "getopt"
require "global"
require "csglobal"
require "csversions"

local Server = Module:new {
    actionInfo = "lista de servidores",
    info = "exibe informacoes dos servidores",
    provides = MODULE.SERVERLIST,
    params = "uR",
    requires = {},
}

function Server:check ()
    return false
end

function Server:execute (args, params)
    self.getopt:parse(args, string.concat(params, self.params))
    if self.getopt:opt("R") then
        cs_log:warn("reinicializando lista de servidores")
        Versions:resetCache()
    elseif self.getopt:opt("u") then
        cs_log:warn("atualizando lista de servidores")
        Versions:updateCache()
    else
        Versions:printAll()
    end
end

function Server:help ()
    print([[

Server:
----------
-u          : atualiza dados apenas do servidor corrente
-R          : refaz lista (reset)
]])
end

-- cadastramento do mdulo

cs_registerModule(Server)
