-- Version: strutil.lua,v 1.9 2004/05/23 16:27:59 costa Exp
-- CVS Tag: v1_12

require "oo"

-- implementation of the optimized string buffer suggested by LTN #9
-- http://www.lua.org/notes/ltn009.html

-- StringBuffer class

StringBuffer = OO:new()

-- ==================================================
-- adds (concatenates) a new string to the existing one

function StringBuffer:new ()
    return OO.new(self, { buffer = { n = 0 } })
end

function StringBuffer:add (str)
    table.insert(self.buffer, str)
    for i=self.buffer.n-1, 1, -1 do
        if string.len(self.buffer[i]) > string.len(self.buffer[i+1]) then break end
        self.buffer[i] = self.buffer[i]..table.remove(self.buffer)
    end
end

-- returns the concatenated string

function StringBuffer:toString ()
    for i=self.buffer.n-1, 1, -1 do
        self.buffer[i] = self.buffer[i]..table.remove(self.buffer)
    end
    return self.buffer[1] or ""
end

-- resets internal buffer to a new string

function StringBuffer:reset (str)
    table.setn(self.buffer, 0)
    self:add(str)
end

function StringBuffer:len ()
    return string.len(self:toString())
end
